Bug 102586 - System freeze with Kernels > 4.11.x (freeze on 4.12.x and 4.13.x)
Summary: System freeze with Kernels > 4.11.x (freeze on 4.12.x and 4.13.x)
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords: bisect_pending, regression
Depends on:
Blocks:
 
Reported: 2017-09-07 12:58 UTC by jaar
Modified: 2018-05-22 14:18 UTC (History)
4 users (show)

See Also:
i915 platform: BXT, KBL
i915 features: GPU hang


Attachments
dmesg of my system during boot (52.36 KB, text/plain)
2017-09-09 16:30 UTC, Baptiste Jonglez
no flags Details
Output of /sys/class/drm/card0/error after one of the crash (before a reboot) (20.72 KB, text/plain)
2017-09-09 22:06 UTC, Baptiste Jonglez
no flags Details
output of /sys/class/drm/card0/error (28.93 KB, text/plain)
2017-10-29 22:19 UTC, baggins
no flags Details
dmesg from ssh into machine when frozen (62.99 KB, text/plain)
2017-11-15 14:38 UTC, baggins
no flags Details
output of /sys/class/drm/card0/error (19.26 KB, text/plain)
2017-12-10 11:06 UTC, jaar
no flags Details
dmesg: drm.debug=0x1e log_bug_len=8M (31.24 KB, text/plain)
2018-01-20 13:51 UTC, jaar
no flags Details
dmesg: drm.debug=0x1e log_bug_len=8M (31.29 KB, text/plain)
2018-01-20 13:52 UTC, jaar
no flags Details
GPU crash dump saved to /sys/class/drm/card0/error (37.71 KB, text/plain)
2018-02-21 17:09 UTC, jaar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jaar 2017-09-07 12:58:46 UTC
The System freezes after some time on Kernel 4.13.x
Same bug on 4.12.x after some time

On Kernel 4.11.x (4.11.12-gentoo) the identical system works without any freezes!

There was no crash dump saved to /sys/class/drm/card0/error but here is the kernel.log 

2017-09-04T20:03:37+02:00 gentoo kernel: usb 1-2: USB disconnect, device number 2
2017-09-04T20:03:37+02:00 gentoo kernel: usb 1-2.2: USB disconnect, device number 4
2017-09-04T20:55:46+02:00 gentoo kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=689962 end=689963) time 226 us, min 1073, max 1079, scanline start 1066, end 1081
2017-09-04T20:56:43+02:00 gentoo kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=693370 end=693371) time 129 us, min 1073, max 1079, scanline start 1071, end 1080
2017-09-04T20:59:41+02:00 gentoo kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=704074 end=704075) time 1815 us, min 1073, max 1079, scanline start 1008, end 5
2017-09-04T21:03:14+02:00 gentoo kernel: [drm] GPU HANG: ecode 9:1:0xeeffefa1, in X [5222], reason: Hang on bcs0, action: reset
2017-09-04T21:03:14+02:00 gentoo kernel: [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
2017-09-04T21:03:14+02:00 gentoo kernel: [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
2017-09-04T21:03:14+02:00 gentoo kernel: [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
2017-09-04T21:03:14+02:00 gentoo kernel: [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
2017-09-04T21:03:14+02:00 gentoo kernel: [drm] GPU crash dump saved to /sys/class/drm/card0/error
2017-09-04T21:03:14+02:00 gentoo kernel: drm/i915: Resetting chip after gpu hang
2017-09-04T21:03:14+02:00 gentoo kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000070
2017-09-04T21:03:14+02:00 gentoo kernel: IP: reset_common_ring+0x9f/0xfa [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: PGD 0 
2017-09-04T21:03:14+02:00 gentoo kernel: P4D 0 
2017-09-04T21:03:14+02:00 gentoo kernel: 
2017-09-04T21:03:14+02:00 gentoo kernel: Oops: 0000 [#1] SMP
2017-09-04T21:03:14+02:00 gentoo kernel: Modules linked in: rfcomm algif_skcipher af_alg xt_tcpudp iptable_filter ip_tables x_tables bnep autofs4 ipv6 binfmt_misc rc_hauppauge em28xx_rc rc_core si2157 si2168 i2c_mux em28xx_dvb dvb_core snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic em28xx tveeprom input_leds v4l2_common videodev joydev i915 x86_pkg_temp_thermal snd_hda_intel intel_powerclamp btusb coretemp btrtl iosf_mbi btbcm snd_hda_codec vboxpci(O) btintel kvm_intel i2c_algo_bit bluetooth snd_hda_core drm_kms_helper vboxnetadp(O) kvm ecdh_generic snd_hwdep vboxnetflt(O) syscopyarea rfkill snd_pcm sysfillrect irqbypass sysimgblt fb_sys_fops snd_timer crc32c_intel vboxdrv(O) drm ghash_clmulni_intel snd i2c_i801 pcspkr i2c_core intel_gtt thermal fan button battery video aesni_intel crypto_simd glue_helper cryptd
2017-09-04T21:03:14+02:00 gentoo kernel: aes_x86_64 libiscsi scsi_transport_iscsi tg3 ptp pps_core libphy sky2 r8169 pcnet32 mii e1000 bnx2 fuse nfs lockd grace sunrpc multipath linear raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 dm_snapshot dm_bufio dm_crypt dm_mirror dm_region_hash dm_log dm_mod dax hid_sunplus hid_sony led_class hid_samsung hid_pl hid_petalynx hid_gyration sl811_hcd usbhid usb_storage aic94xx libsas lpfc crc_t10dif crct10dif_common qla2xxx megaraid_sas megaraid_mbox megaraid_mm megaraid aacraid sx8 DAC960 cciss 3w_9xxx 3w_xxxx mptsas scsi_transport_sas mptfc scsi_transport_fc mptspi mptscsih mptbase atp870u dc395x qla1280 imm parport dmx3191d sym53c8xx gdth initio BusLogic arcmsr aic7xxx aic79xx scsi_transport_spi sg pdc_adma sata_inic162x sata_mv ata_piix
2017-09-04T21:03:14+02:00 gentoo kernel: ahci libahci sata_qstor sata_vsc sata_uli sata_sis sata_sx4 sata_nv sata_via sata_svw sata_sil24 sata_sil sata_promise pata_sl82c105 pata_via pata_jmicron pata_marvell pata_sis pata_netcell pata_pdc202xx_old pata_triflex pata_atiixp pata_opti pata_amd pata_ali pata_it8213 pata_pcmcia pcmcia pcmcia_core pata_ns87415 pata_ns87410 pata_serverworks pata_artop pata_it821x pata_optidma pata_hpt3x2n pata_hpt3x3 pata_hpt37x pata_hpt366 pata_cmd64x pata_efar pata_rz1000 pata_sil680 pata_radisys pata_pdc2027x pata_mpiix libata
2017-09-04T21:03:14+02:00 gentoo kernel: CPU: 2 PID: 24900 Comm: kworker/2:6 Tainted: G           O    4.13.0-gentoo #1
2017-09-04T21:03:14+02:00 gentoo kernel: Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./J4205-ITX, BIOS P1.30 04/18/2017
2017-09-04T21:03:14+02:00 gentoo kernel: Workqueue: events_long i915_hangcheck_elapsed [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: task: ffff8801d7cf4f80 task.stack: ffffc90005e8c000
2017-09-04T21:03:14+02:00 gentoo kernel: RIP: 0010:reset_common_ring+0x9f/0xfa [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: RSP: 0018:ffffc90005e8fbb0 EFLAGS: 00010246
2017-09-04T21:03:14+02:00 gentoo kernel: RAX: 0000000000003f50 RBX: ffff8802e618fd80 RCX: 0000000000004000
2017-09-04T21:03:14+02:00 gentoo kernel: RDX: 0000000000003fff RSI: ffff88046b412e00 RDI: 0000000000000000
2017-09-04T21:03:14+02:00 gentoo kernel: RBP: ffffc90005e8fbc8 R08: ffff880442d74000 R09: 0000000000000001
2017-09-04T21:03:14+02:00 gentoo kernel: R10: ffffc90005e8faf0 R11: 071c71c71c71c71c R12: ffff88046b412e28
2017-09-04T21:03:14+02:00 gentoo kernel: R13: ffff88046ad54000 R14: ffff88046c6ecd40 R15: ffff88046b412e00
2017-09-04T21:03:14+02:00 gentoo kernel: FS:  0000000000000000(0000) GS:ffff88047fd00000(0000) knlGS:0000000000000000
2017-09-04T21:03:14+02:00 gentoo kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
2017-09-04T21:03:14+02:00 gentoo kernel: CR2: 0000000000000070 CR3: 0000000001809000 CR4: 00000000003406e0
2017-09-04T21:03:14+02:00 gentoo kernel: Call Trace:
2017-09-04T21:03:14+02:00 gentoo kernel: i915_gem_reset+0x28d/0x304 [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: ? g4x_do_reset+0x1fc/0x1fc [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: ? intel_gpu_reset+0x5c/0x69 [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: i915_reset+0xb5/0x14b [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: i915_reset_and_wakeup+0xcc/0x155 [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: i915_handle_error+0x1bc/0x1d6 [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: ? vscnprintf+0xd/0x23
2017-09-04T21:03:14+02:00 gentoo kernel: ? scnprintf+0x36/0x3e
2017-09-04T21:03:14+02:00 gentoo kernel: hangcheck_declare_hang+0xc6/0xd5 [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: ? fwtable_read32+0xf7/0x105 [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: ? intel_engine_get_active_head+0x71/0xb7 [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: i915_hangcheck_elapsed+0x1fa/0x239 [i915]
2017-09-04T21:03:14+02:00 gentoo kernel: process_one_work+0x149/0x236
2017-09-04T21:03:14+02:00 gentoo kernel: ? rescuer_thread+0x264/0x264
2017-09-04T21:03:14+02:00 gentoo kernel: worker_thread+0x1cf/0x296
2017-09-04T21:03:14+02:00 gentoo kernel: ? rescuer_thread+0x264/0x264
2017-09-04T21:03:14+02:00 gentoo kernel: kthread+0x11d/0x125
2017-09-04T21:03:14+02:00 gentoo kernel: ? kthread_create_on_node+0x3a/0x3a
2017-09-04T21:03:14+02:00 gentoo kernel: ret_from_fork+0x22/0x30
2017-09-04T21:03:14+02:00 gentoo kernel: Code: 00 89 50 14 48 8b 83 80 00 00 00 8b 93 c0 01 00 00 89 50 20 48 8b bb 80 00 00 00 e8 0b 1c 00 00 49 8b bd a0 02 00 00 48 83 e7 fc <48> 8b 47 70 48 39 43 70 74 23 48 85 ff 74 05 f0 ff 0f 74 3f 49 
2017-09-04T21:03:14+02:00 gentoo kernel: RIP: reset_common_ring+0x9f/0xfa [i915] RSP: ffffc90005e8fbb0
2017-09-04T21:03:14+02:00 gentoo kernel: CR2: 0000000000000070
2017-09-04T21:03:14+02:00 gentoo kernel: ---[ end trace a754098f77e1b998 ]---
Comment 1 Chris Wilson 2017-09-07 13:06:44 UTC
To guc or not to guc? DMAR or VT'd enabled?
Comment 2 jaar 2017-09-07 13:18:46 UTC
will check bios settings later. how can i check guc?
Comment 3 Chris Wilson 2017-09-07 13:22:15 UTC
Just attach your dmesg from boot.
Comment 4 jaar 2017-09-07 16:18:49 UTC
bios:
vt-d is disabled
DMAR or iommu settings are not available, so i guess disabled

here is the dmesg from working kernel 4.11.12-gentoo:

[    0.653270] pci 0000:01:00.0: reg 0x10: [io  0xe000-0xe0ff]
[    0.653303] pci 0000:01:00.0: reg 0x18: [mem 0x91204000-0x91204fff 64bit]
[    0.653326] pci 0000:01:00.0: reg 0x20: [mem 0x91200000-0x91203fff 64bit pref]
[    0.653350] pci 0000:01:00.0: can't set Max Payload Size to 256; if necessary, use "pci=pcie_bus_safe" and report a bug
[    0.653547] pci 0000:01:00.0: supports D1 D2
[    0.653550] pci 0000:01:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.653621] pci 0000:01:00.0: System wakeup disabled by ACPI
[    0.653774] pci 0000:00:13.0: PCI bridge to [bus 01]
[    0.653851] pci 0000:00:13.0:   bridge window [io  0xe000-0xefff]
[    0.653856] pci 0000:00:13.0:   bridge window [mem 0x91200000-0x912fffff]
[    0.653924] pci 0000:00:13.1: PCI bridge to [bus 02]
[    0.654085] pci 0000:03:00.0: [1b21:0612] type 00 class 0x010601
[    0.654110] pci 0000:03:00.0: reg 0x10: [io  0xd050-0xd057]
[    0.654126] pci 0000:03:00.0: reg 0x14: [io  0xd040-0xd043]
[    0.654141] pci 0000:03:00.0: reg 0x18: [io  0xd030-0xd037]
[    0.654155] pci 0000:03:00.0: reg 0x1c: [io  0xd020-0xd023]
[    0.654169] pci 0000:03:00.0: reg 0x20: [io  0xd000-0xd01f]
[    0.654185] pci 0000:03:00.0: reg 0x24: [mem 0x91100000-0x911001ff]
[    0.654320] pci 0000:03:00.0: System wakeup disabled by ACPI
[    0.654462] pci 0000:00:13.2: PCI bridge to [bus 03]
[    0.654539] pci 0000:00:13.2:   bridge window [io  0xd000-0xdfff]
[    0.654544] pci 0000:00:13.2:   bridge window [mem 0x91100000-0x911fffff]
[    0.654609] pci 0000:00:13.3: PCI bridge to [bus 04]
[    0.654718] pci_bus 0000:00: on NUMA node 0
[    0.656674] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 11 12 14 *15), disabled.
[    0.656879] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 10 11 12 14 *15), disabled.
[    0.657080] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 11 12 14 *15), disabled.
[    0.657282] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 10 11 12 14 *15), disabled.
[    0.657481] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 11 12 14 *15), disabled.
[    0.657680] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 11 12 14 *15), disabled.
[    0.657884] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 11 12 14 *15), disabled.
[    0.658081] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 11 12 14 *15), disabled.
[    0.659147] ACPI: Enabled 4 GPEs in block 00 to 7F
[    0.659407] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    0.659492] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.659588] pci 0000:00:02.0: vgaarb: bridge control possible
[    0.659668] vgaarb: loaded
[    0.659867] SCSI subsystem initialized
[    0.659942] ACPI: bus type USB registered
[    0.660079] usbcore: registered new interface driver usbfs
[    0.660178] usbcore: registered new interface driver hub
[    0.660287] usbcore: registered new device driver usb
[    0.660548] PCI: Using ACPI for IRQ routing
[    0.688789] PCI: pci_cache_line_size set to 64 bytes
[    0.688872] e820: reserve RAM buffer [mem 0x0009b800-0x0009ffff]
[    0.688875] e820: reserve RAM buffer [mem 0x5b4f6000-0x5bffffff]
[    0.688877] e820: reserve RAM buffer [mem 0x5d6bd000-0x5fffffff]
[    0.688879] e820: reserve RAM buffer [mem 0x5e156000-0x5fffffff]
[    0.688881] e820: reserve RAM buffer [mem 0x5e757000-0x5fffffff]
[    0.688883] e820: reserve RAM buffer [mem 0x5f000000-0x5fffffff]
[    0.689343] clocksource: Switched to clocksource hpet
[    0.689461] VFS: Disk quotas dquot_6.6.0
[    0.689574] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.694515] pnp: PnP ACPI init
[    0.695065] system 00:00: [io  0x0280-0x028f] has been reserved
[    0.695146] system 00:00: [io  0x0290-0x029f] has been reserved
[    0.695224] system 00:00: [io  0x02a0-0x02af] has been reserved
[    0.695309] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.695902] pnp 00:01: [dma 0 disabled]
[    0.695999] pnp 00:01: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.696104] system 00:02: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.696974] system 00:03: [io  0x0680-0x069f] has been reserved
[    0.697054] system 00:03: [io  0x0400-0x047f] has been reserved
[    0.697131] system 00:03: [io  0x0500-0x05fe] has been reserved
[    0.697213] system 00:03: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.697887] system 00:04: [mem 0xe0000000-0xefffffff] has been reserved
[    0.697965] system 00:04: [mem 0xfea00000-0xfeafffff] has been reserved
[    0.698044] system 00:04: [mem 0xfed01000-0xfed01fff] has been reserved
[    0.698122] system 00:04: [mem 0xfed03000-0xfed03fff] has been reserved
[    0.698202] system 00:04: [mem 0xfed06000-0xfed06fff] has been reserved
[    0.698283] system 00:04: [mem 0xfed08000-0xfed09fff] has been reserved
[    0.698360] system 00:04: [mem 0xfed80000-0xfedbffff] has been reserved
[    0.698438] system 00:04: [mem 0xfed1c000-0xfed1cfff] has been reserved
[    0.698515] system 00:04: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.698600] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.698860] pnp 00:05: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.699137] pnp: PnP ACPI: found 6 devices
[    0.703790] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.703923] pci 0000:00:13.0: PCI bridge to [bus 01]
[    0.704000] pci 0000:00:13.0:   bridge window [io  0xe000-0xefff]
[    0.704086] pci 0000:00:13.0:   bridge window [mem 0x91200000-0x912fffff]
[    0.704169] pci 0000:00:13.1: PCI bridge to [bus 02]
[    0.704253] pci 0000:00:13.2: PCI bridge to [bus 03]
[    0.704330] pci 0000:00:13.2:   bridge window [io  0xd000-0xdfff]
[    0.704408] pci 0000:00:13.2:   bridge window [mem 0x91100000-0x911fffff]
[    0.704491] pci 0000:00:13.3: PCI bridge to [bus 04]
[    0.704579] pci_bus 0000:00: resource 4 [io  0x0070-0x0077]
[    0.704582] pci_bus 0000:00: resource 5 [io  0x0000-0x006f window]
[    0.704584] pci_bus 0000:00: resource 6 [io  0x0078-0x0cf7 window]
[    0.704587] pci_bus 0000:00: resource 7 [io  0x0d00-0xffff window]
[    0.704590] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff window]
[    0.704592] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff window]
[    0.704595] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff window]
[    0.704598] pci_bus 0000:00: resource 11 [mem 0x60000001-0x7fffffff window]
[    0.704600] pci_bus 0000:00: resource 12 [mem 0x5f800001-0x5fffffff window]
[    0.704603] pci_bus 0000:00: resource 13 [mem 0x80000000-0xcfffffff window]
[    0.704605] pci_bus 0000:00: resource 14 [mem 0xe0000000-0xefffffff window]
[    0.704608] pci_bus 0000:01: resource 0 [io  0xe000-0xefff]
[    0.704611] pci_bus 0000:01: resource 1 [mem 0x91200000-0x912fffff]
[    0.704614] pci_bus 0000:03: resource 0 [io  0xd000-0xdfff]
[    0.704616] pci_bus 0000:03: resource 1 [mem 0x91100000-0x911fffff]
[    0.704881] NET: Registered protocol family 2
[    0.705233] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.705916] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    0.706512] TCP: Hash tables configured (established 131072 bind 65536)
[    0.706663] UDP hash table entries: 8192 (order: 6, 262144 bytes)
[    0.706931] UDP-Lite hash table entries: 8192 (order: 6, 262144 bytes)
[    0.707291] NET: Registered protocol family 1
[    0.707396] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.707992] PCI: CLS 0 bytes, default 64
[    0.708119] Trying to unpack rootfs image as initramfs...
[    1.501638] Freeing initrd memory: 3620K
[    1.501740] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.501823] software IO TLB [mem 0x574f6000-0x5b4f6000] (64MB) mapped at [ffff8800574f6000-ffff88005b4f5fff]
[    1.502179] RAPL PMU: API unit is 2^-32 Joules, 4 fixed counters, 655360 ms ovfl timer
[    1.502262] RAPL PMU: hw unit of domain pp0-core 2^-14 Joules
[    1.502337] RAPL PMU: hw unit of domain package 2^-14 Joules
[    1.502411] RAPL PMU: hw unit of domain dram 2^-14 Joules
[    1.502487] RAPL PMU: hw unit of domain pp1-gpu 2^-14 Joules
[    1.502569] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x159647815e3, max_idle_ns: 440795269835 ns
[    1.502709] clocksource: Switched to clocksource tsc
[    1.503358] audit: initializing netlink subsys (disabled)
[    1.503504] audit: type=2000 audit(1504807212.493:1): state=initialized audit_enabled=0 res=1
[    1.503778] workingset: timestamp_bits=62 max_order=22 bucket_order=0
[    1.504266] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    1.505760] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    1.505843] io scheduler noop registered
[    1.505915] io scheduler deadline registered
[    1.506007] io scheduler cfq registered (default)
[    1.506080] io scheduler mq-deadline registered
[    1.507620] pcieport 0000:00:13.0: Signaling PME with IRQ 120
[    1.507725] pcieport 0000:00:13.1: Signaling PME with IRQ 121
[    1.507826] pcieport 0000:00:13.2: Signaling PME with IRQ 122
[    1.507928] pcieport 0000:00:13.3: Signaling PME with IRQ 123
[    1.508097] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.528974] 00:01: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    1.531002] Linux agpgart interface v0.103
[    1.531150] intel_idle: MWAIT substates: 0x11242020
[    1.531152] intel_idle: v0.4.1 model 0x5C
[    1.531555] intel_idle: lapic_timer_reliable_states 0xffffffff
[    1.538480] brd: module loaded
[    1.541299] loop: module loaded
[    1.541448] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.541526] ehci-pci: EHCI PCI platform driver
[    1.541630] ehci-platform: EHCI generic platform driver
[    1.541730] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.541811] ohci-pci: OHCI PCI platform driver
[    1.541899] ohci-platform: OHCI generic platform driver
[    1.541988] uhci_hcd: USB Universal Host Controller Interface driver
[    1.542391] xhci_hcd 0000:00:15.0: xHCI Host Controller
[    1.542477] xhci_hcd 0000:00:15.0: new USB bus registered, assigned bus number 1
[    1.543672] xhci_hcd 0000:00:15.0: hcc params 0x200077c1 hci version 0x100 quirks 0x01109810
[    1.543763] xhci_hcd 0000:00:15.0: cache line size of 64 is not supported
[    1.544076] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.544156] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.544236] usb usb1: Product: xHCI Host Controller
[    1.544313] usb usb1: Manufacturer: Linux 4.11.12-gentoo xhci-hcd
[    1.544391] usb usb1: SerialNumber: 0000:00:15.0
[    1.544726] hub 1-0:1.0: USB hub found
[    1.544873] hub 1-0:1.0: 8 ports detected
[    1.546411] xhci_hcd 0000:00:15.0: xHCI Host Controller
[    1.546490] xhci_hcd 0000:00:15.0: new USB bus registered, assigned bus number 2
[    1.546700] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003
[    1.546782] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.546862] usb usb2: Product: xHCI Host Controller
[    1.546939] usb usb2: Manufacturer: Linux 4.11.12-gentoo xhci-hcd
[    1.547019] usb usb2: SerialNumber: 0000:00:15.0
[    1.547292] hub 2-0:1.0: USB hub found
[    1.547396] hub 2-0:1.0: 7 ports detected
[    1.548796] i8042: PNP: No PS/2 controller found.
[    1.548972] mousedev: PS/2 mouse device common for all mice
[    1.549131] rtc_cmos 00:05: RTC can wake from S4
[    1.549653] rtc_cmos 00:05: rtc core: registered rtc_cmos as rtc0
[    1.549835] rtc_cmos 00:05: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
[    1.549938] intel_pstate: Intel P-state driver initializing
[    1.550409] hidraw: raw HID events driver (C) Jiri Kosina
[    1.550685] NET: Registered protocol family 17
[    1.551355] microcode: sig=0x506c9, pf=0x1, revision=0x1e
[    1.551525] microcode: Microcode Update Driver: v2.2.
[    1.551685] registered taskstats version 1
[    1.575502] Key type encrypted registered
[    1.576112] rtc_cmos 00:05: setting system clock to 2017-09-07 18:00:13 UTC (1504807213)
[    1.577440] Freeing unused kernel memory: 904K
[    1.577511] Write protecting the kernel read-only data: 8192k
[    1.578442] Freeing unused kernel memory: 1732K
[    1.580518] Freeing unused kernel memory: 552K
[    1.580597] rodata_test: all tests were successful
[    1.808048] libata version 3.00 loaded.
[    1.899218] usb 1-2: new high-speed USB device number 2 using xhci_hcd
[    1.998176] ahci 0000:00:12.0: version 3.0
[    2.008562] ahci 0000:00:12.0: AHCI 0001.0301 32 slots 2 ports 6 Gbps 0x3 impl SATA mode
[    2.008566] ahci 0000:00:12.0: flags: 64bit ncq sntf clo only pmp pio slum part deso sadm sds apst 
[    2.009095] scsi host0: ahci
[    2.009286] scsi host1: ahci
[    2.009347] ata1: SATA max UDMA/133 abar m2048@0x91317000 port 0x91317100 irq 125
[    2.009350] ata2: SATA max UDMA/133 abar m2048@0x91317000 port 0x91317180 irq 125
[    2.009585] ahci 0000:03:00.0: SSS flag set, parallel bus scan disabled
[    2.009624] ahci 0000:03:00.0: AHCI 0001.0200 32 slots 2 ports 6 Gbps 0x3 impl SATA mode
[    2.009627] ahci 0000:03:00.0: flags: 64bit ncq sntf stag led clo pmp pio slum part ccc 
[    2.009995] scsi host2: ahci
[    2.010124] scsi host3: ahci
[    2.010177] ata3: SATA max UDMA/133 abar m512@0x91100000 port 0x91100100 irq 126
[    2.010180] ata4: SATA max UDMA/133 abar m512@0x91100000 port 0x91100180 irq 126
[    2.070751] usb 1-2: New USB device found, idVendor=05e3, idProduct=0608
[    2.070754] usb 1-2: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[    2.070756] usb 1-2: Product: USB2.0 Hub
[    2.071322] hub 1-2:1.0: USB hub found
[    2.071664] hub 1-2:1.0: 2 ports detected
[    2.209309] usb 1-5: new full-speed USB device number 3 using xhci_hcd
[    2.341427] ata2: SATA link down (SStatus 4 SControl 300)
[    2.382290] usb 1-5: New USB device found, idVendor=046d, idProduct=c52b
[    2.382293] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.382294] usb 1-5: Product: USB Receiver
[    2.382295] usb 1-5: Manufacturer: Logitech
[    2.509237] ata3: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[    2.519270] ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[    2.521238] ata1.00: supports DRM functions and may not be fully accessible
[    2.521627] ata1.00: NCQ Send/Recv Log not supported
[    2.521840] ata1.00: supports DRM functions and may not be fully accessible
[    2.522234] ata1.00: NCQ Send/Recv Log not supported
[    2.522238] ata1.00: configured for UDMA/133
[    2.560819] ata3.00: configured for UDMA/133
[    2.639655] sd 0:0:0:0: [sda] Write Protect is off
[    2.639658] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    2.639681] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.641911]  sda: sda1 sda2 sda3 sda4
[    2.642949] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.779577] sd 2:0:0:0: [sdb] 4096-byte physical blocks
[    2.779605] sd 2:0:0:0: [sdb] Write Protect is off
[    2.779607] sd 2:0:0:0: [sdb] Mode Sense: 00 3a 00 00
[    2.779629] sd 2:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.806810] sd 2:0:0:0: [sdb] Attached SCSI disk
[    3.111202] ata4: SATA link down (SStatus 0 SControl 300)
[    3.137465] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    3.137548] sd 2:0:0:0: Attached scsi generic sg1 type 0
[    3.320431] scsi: <fdomain> Detection failed (no card)
[    3.442476] GDT-HA: Storage RAID Controller Driver. Version: 3.05
[    3.544636] imm: Version 2.05 (for Linux 2.4.0)
[    3.714725] Fusion MPT base driver 3.04.20
[    3.714727] Copyright (c) 1999-2008 LSI Corporation
[    3.720434] Fusion MPT SPI Host driver 3.04.20
[    3.723738] Fusion MPT FC Host driver 3.04.20
[    3.727223] Fusion MPT SAS Host driver 3.04.20
[    3.737051] 3ware Storage Controller device driver for Linux v1.26.02.003.
[    3.739916] 3ware 9000 Storage Controller device driver for Linux v2.26.02.014.
[    3.749837] HP CISS Driver (v 3.6.26)
[    3.765323] Adaptec aacraid driver 1.2.1[50792]-custom
[    3.770647] megaraid cmm: 2.20.2.7 (Release Date: Sun Jul 16 00:01:03 EST 2006)
[    3.771090] megaraid: 2.20.5.1 (Release Date: Thu Nov 16 15:32:35 EST 2006)
[    3.776018] megasas: 07.701.17.00-rc1
[    3.780216] qla2xxx [0000:00:00.0]-0005: : QLogic Fibre Channel HBA Driver: 9.00.00.00-k.
[    3.797207] Emulex LightPulse Fibre Channel SCSI driver 11.2.0.10
[    3.797209] Copyright (C) 2017 Broadcom. All Rights Reserved. The term "Broadcom" refers to Broadcom Limited and/or its subsidiaries.
[    3.803819] aic94xx: Adaptec aic94xx SAS/SATA driver version 1.0.3 loaded
[    3.852319] usbcore: registered new interface driver usb-storage
[    3.892362] input: Logitech USB Receiver as /devices/pci0000:00/0000:00:15.0/usb1/1-5/1-5:1.0/0003:046D:C52B.0001/input/input0
[    3.969593] hid-generic 0003:046D:C52B.0001: input,hidraw0: USB HID v1.11 Keyboard [Logitech USB Receiver] on usb-0000:00:15.0-5/input0
[    3.971611] input: Logitech USB Receiver as /devices/pci0000:00/0000:00:15.0/usb1/1-5/1-5:1.1/0003:046D:C52B.0002/input/input1
[    4.039783] hid-generic 0003:046D:C52B.0002: input,hiddev0,hidraw1: USB HID v1.11 Mouse [Logitech USB Receiver] on usb-0000:00:15.0-5/input1
[    4.042409] hid-generic 0003:046D:C52B.0003: hiddev0,hidraw2: USB HID v1.11 Device [Logitech USB Receiver] on usb-0000:00:15.0-5/input2
[    4.042450] usbcore: registered new interface driver usbhid
[    4.042451] usbhid: USB HID core driver
[    4.192708] device-mapper: uevent: version 1.0.3
[    4.192837] device-mapper: ioctl: 4.35.0-ioctl (2016-06-23) initialised: dm-devel@redhat.com
[    4.399249] raid6: sse2x1   gen()  5256 MB/s
[    4.569244] raid6: sse2x1   xor()  3095 MB/s
[    4.739199] raid6: sse2x2   gen()  5791 MB/s
[    4.909245] raid6: sse2x2   xor()  3717 MB/s
[    5.079192] raid6: sse2x4   gen()  6870 MB/s
[    5.249239] raid6: sse2x4   xor()  2646 MB/s
[    5.249242] raid6: using algorithm sse2x4 gen() 6870 MB/s
[    5.249243] raid6: .... xor() 2646 MB/s, rmw enabled
[    5.249244] raid6: using ssse3x2 recovery algorithm
[    5.250070] async_tx: api initialized (async)
[    5.250265] xor: measuring software checksum speed
[    5.349191]    prefetch64-sse:  8484.800 MB/sec
[    5.449192]    generic_sse:  7733.200 MB/sec
[    5.449194] xor: using function: prefetch64-sse (8484.800 MB/sec)
[    5.528069] RPC: Registered named UNIX socket transport module.
[    5.528071] RPC: Registered udp transport module.
[    5.528071] RPC: Registered tcp transport module.
[    5.528072] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    5.551464] fuse init (API version 7.26)
[    5.566473] e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
[    5.566474] e1000: Copyright (c) 1999-2006 Intel Corporation.
[    5.576656] pcnet32: pcnet32.c:v1.35 21.Apr.2008 tsbogend@alpha.franken.de
[    5.579606] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    5.610284] r8169 0000:01:00.0 eth0: RTL8168g/8111g at 0xffffc90000069000, 70:85:c2:34:55:c9, XID 0c000800 IRQ 127
[    5.610287] r8169 0000:01:00.0 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[    5.613513] sky2: driver version 1.30
[    5.617978] pps_core: LinuxPPS API ver. 1 registered
[    5.617980] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    5.618393] PTP clock support registered
[    5.638584] Loading iSCSI transport class v2.0-870.
[    5.680270] SSE version of gcm_enc/dec engaged.
[   11.175398] EXT4-fs (sda2): INFO: recovery required on readonly filesystem
[   11.175399] EXT4-fs (sda2): write access will be enabled during recovery
[   11.177376] random: fast init done
[   11.193335] EXT4-fs (sda2): recovery complete
[   11.196584] EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: (null)
[   12.642833] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input2
[   12.645887] ACPI: Power Button [PWRB]
[   12.646564] (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
[   12.692882] i801_smbus 0000:00:1f.1: can't derive routing for PCI INT A
[   12.692884] i801_smbus 0000:00:1f.1: PCI INT A: not connected
[   12.692908] i801_smbus 0000:00:1f.1: SPD Write Disable is set
[   12.692930] i801_smbus 0000:00:1f.1: Failed to allocate irq -2147483648: -107
[   12.692931] i801_smbus 0000:00:1f.1: SMBus using polling
[   12.693536] input: PC Speaker as /devices/platform/pcspkr/input/input3
[   12.735355] vboxdrv: loading out-of-tree module taints kernel.
[   12.759927] vboxdrv: Found 4 processor cores
[   12.781603] [drm] Memory usable by graphics device = 4096M
[   12.781606] [drm] Replacing VGA console driver
[   12.782644] Console: switching to colour dummy device 80x25
[   12.782827] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[   12.782828] [drm] Driver supports precise vblank timestamp query.
[   12.783810] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[   12.785530] [drm] Finished loading DMC firmware i915/bxt_dmc_ver1_07.bin (v1.7)
[   12.790197] vboxdrv: TSC mode is Invariant, tentative frequency 1497600041 Hz
[   12.790199] vboxdrv: Successfully loaded version 5.1.26 (interface 0x002a0000)
[   12.791113] VBoxNetFlt: Successfully started.
[   12.797494] VBoxNetAdp: Successfully started.
[   12.806613] VBoxPciLinuxInit
[   12.806621] vboxpci: pci-stub module not available, cannot detach PCI devices
[   12.806622] vboxpci: IOMMU not found (not compiled)
[   12.811837] [drm] GuC firmware load skipped
[   12.812829] [drm] Initialized i915 1.6.0 20170123 for 0000:00:02.0 on minor 0
[   12.813946] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[   12.814675] acpi device:10: registered as cooling_device6
[   12.814756] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input4
[   12.839941] thermal LNXTHERM:00: registered as thermal_zone0
[   12.839943] ACPI: Thermal Zone [TZ01] (54 C)
[   12.927488] snd_hda_intel 0000:00:0e.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[   12.996191] random: crng init done
[   13.009909] fbcon: inteldrmfb (fb0) is primary device
[   13.081884] Console: switching to colour frame buffer device 240x67
[   13.106723] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[   13.220749] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC892: line_outs=3 (0x14/0x15/0x16/0x0/0x0) type:line
[   13.220752] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[   13.220754] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
[   13.220755] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[   13.220756] snd_hda_codec_realtek hdaudioC0D0:    dig-out=0x1e/0x0
[   13.220758] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[   13.220760] snd_hda_codec_realtek hdaudioC0D0:      Front Mic=0x19
[   13.220761] snd_hda_codec_realtek hdaudioC0D0:      Rear Mic=0x18
[   13.220763] snd_hda_codec_realtek hdaudioC0D0:      Line=0x1a
[   13.253527] input: HDA Intel PCH Front Mic as /devices/pci0000:00/0000:00:0e.0/sound/card0/input5
[   13.253611] input: HDA Intel PCH Rear Mic as /devices/pci0000:00/0000:00:0e.0/sound/card0/input6
[   13.253684] input: HDA Intel PCH Line as /devices/pci0000:00/0000:00:0e.0/sound/card0/input7
[   13.253752] input: HDA Intel PCH Line Out Front as /devices/pci0000:00/0000:00:0e.0/sound/card0/input8
[   13.253829] input: HDA Intel PCH Line Out Surround as /devices/pci0000:00/0000:00:0e.0/sound/card0/input9
[   13.253898] input: HDA Intel PCH Line Out CLFE as /devices/pci0000:00/0000:00:0e.0/sound/card0/input10
[   13.253966] input: HDA Intel PCH Front Headphone as /devices/pci0000:00/0000:00:0e.0/sound/card0/input11
[   13.254036] input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input12
[   13.254101] input: HDA Intel PCH HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input13
[   13.254174] input: HDA Intel PCH HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input14
[   13.254245] input: HDA Intel PCH HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input15
[   13.254315] input: HDA Intel PCH HDMI/DP,pcm=10 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input16
[   14.089477] [drm] RC6 on
[   20.155116] EXT4-fs (sda2): re-mounted. Opts: (null)
[   21.351854] r8169 0000:01:00.0 eth0: link down
[   21.351880] r8169 0000:01:00.0 eth0: link down
[   23.673933] r8169 0000:01:00.0 eth0: link up
[   23.704096] NET: Registered protocol family 10
[   23.704869] Segment Routing with IPv6
[   30.391161] Bluetooth: Core ver 2.22
[   30.391172] NET: Registered protocol family 31
[   30.391173] Bluetooth: HCI device and connection manager initialized
[   30.391178] Bluetooth: HCI socket layer initialized
[   30.391181] Bluetooth: L2CAP socket layer initialized
[   30.391183] Bluetooth: SCO socket layer initialized
[   30.399637] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   30.399639] Bluetooth: BNEP filters: protocol multicast
[   30.399643] Bluetooth: BNEP socket layer initialized
[   31.246178] ip_tables: (C) 2000-2006 Netfilter Core Team
Comment 5 Baptiste Jonglez 2017-09-09 16:30:19 UTC
Created attachment 134117 [details]
dmesg of my system during boot
Comment 6 Baptiste Jonglez 2017-09-09 16:34:22 UTC
I have the exact same issue:

- 4.11.9 worked fine
- 4.12.8 and 4.12.10 exhibit this crash when using chromium

System is Arch Linux x86_64, mesa 17.1.8-2, xf86-video-intel 1:2.99.917+781+gc8990575-1

Attached is a dmesg of the boot, and below is the crash (GPU hang + NULL pointer dereference):

kernel: [drm] GPU HANG: ecode 9:1:0xeeffefa1, in Xorg [447], reason: Hang on bcs, action: reset
kernel: [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
kernel: [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
kernel: [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
kernel: [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
kernel: [drm] GPU crash dump saved to /sys/class/drm/card0/error
kernel: drm/i915: Resetting chip after gpu hang
kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000070
kernel: IP: reset_common_ring+0x8d/0x120 [i915]
kernel: PGD 0 
kernel: P4D 0 
kernel: 
kernel: Oops: 0000 [#1] PREEMPT SMP
kernel: Modules linked in: fuse nf_conntrack_netlink nfnetlink ipt_REJECT nf_reject_ipv4 ip6t_REJECT nf_reject_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 tun nf_conntrack_ipv6 nf_defrag_ipv6 xt_recent xt_tcpudp xt_conntrack nf_conntrack libcrc32c crc32c_generic ip6table_filter ip6_tables iptable_filter snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic joydev mousedev spi_pxa2xx_platform 8250_dw i2c_designware_platform i2c_designware_core intel_rapl intel_telemetry_pltdrv intel_punit_ipc intel_telemetry_core intel_pmc_ipc x86_pkg_temp_thermal intel_powerclamp coretemp uvcvideo kvm_intel videobuf2_vmalloc videobuf2_memops btusb btrtl btbcm btintel videobuf2_v4l2 videobuf2_core arc4 bluetooth videodev media kvm iwlmvm irqbypass intel_rapl_perf evdev input_leds snd_soc_skl wdat_wdt snd_soc_skl_ipc
kernel:  mac_hid mac80211 snd_soc_sst_ipc i915 psmouse snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match led_class i2c_i801 lpc_ich snd_soc_core snd_compress snd_pcm_dmaengine ac97_bus iwlwifi snd_hda_intel idma64 snd_hda_codec rtsx_pci_ms ecdh_generic cfg80211 intel_lpss_pci snd_hda_core intel_lpss memstick drm_kms_helper snd_hwdep r8169 mei_me rfkill mii snd_pcm snd_timer wmi mei snd shpchp ucsi soundcore thermal drm video tpm_crb int3400_thermal acpi_thermal_rel intel_gtt battery syscopyarea sysfillrect processor_thermal_device sysimgblt int340x_thermal_zone fb_sys_fops ac i2c_algo_bit intel_soc_dts_iosf button tpm_tis tpm_tis_core tpm sch_fq_codel sg ip_tables x_tables ext4 crc16 jbd2 fscrypto mbcache algif_skcipher af_alg dm_crypt dm_mod dax sd_mod rtsx_pci_sdmmc mmc_core serio_raw atkbd
kernel:  libps2 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel pcbc ahci libahci aesni_intel aes_x86_64 crypto_simd glue_helper cryptd xhci_pci xhci_hcd libata usbcore usb_common rtsx_pci scsi_mod i8042 serio
kernel: CPU: 0 PID: 169 Comm: kworker/0:3 Not tainted 4.12.10-1-ARCH #1
kernel: Hardware name: Notebook                         W51PU                  /W51PU                  , BIOS 5.12 09/14/2016
kernel: Workqueue: events_long i915_hangcheck_elapsed [i915]
kernel: task: ffff95cc32479b80 task.stack: ffffba8fc119c000
kernel: RIP: 0010:reset_common_ring+0x8d/0x120 [i915]
kernel: RSP: 0018:ffffba8fc119fb58 EFLAGS: 00010206
kernel: RAX: 0000000000003f00 RBX: ffff95cc0421e880 RCX: ffff95cc282b82f8
kernel: RDX: 0000000000003f40 RSI: ffff95cc314b0000 RDI: ffff95cc282b82c0
kernel: RBP: ffffba8fc119fb78 R08: ffff95cc33798000 R09: ffffba8ff00121b0
kernel: R10: 00000000ffffffff R11: 00000000000005fb R12: ffff95cc3085c000
kernel: R13: 0000000000000000 R14: ffff95cc3085c000 R15: ffff95cc0421e880
kernel: FS:  0000000000000000(0000) GS:ffff95cc3fc00000(0000) knlGS:0000000000000000
kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
kernel: CR2: 0000000000000070 CR3: 000000026aa09000 CR4: 00000000003406f0
kernel: Call Trace:
kernel:  i915_gem_reset+0xba/0x390 [i915]
kernel:  ? intel_uncore_forcewake_put.part.11+0x3e/0x50 [i915]
kernel:  ? gen6_reset_engines+0xe0/0xe0 [i915]
kernel:  ? bit_wait_io_timeout+0xa0/0xa0
kernel:  ? bit_wait_io_timeout+0xa0/0xa0
kernel:  i915_reset+0xdf/0x170 [i915]
kernel:  i915_reset_and_wakeup+0x176/0x1a0 [i915]
kernel:  i915_handle_error+0x206/0x210 [i915]
kernel:  ? scnprintf+0x49/0x80
kernel:  hangcheck_declare_hang+0xdb/0x100 [i915]
kernel:  ? fwtable_read32+0x8d/0x1f0 [i915]
kernel:  i915_hangcheck_elapsed+0x262/0x2d0 [i915]
kernel:  process_one_work+0x1de/0x430
kernel:  worker_thread+0x47/0x3f0
kernel:  kthread+0x125/0x140
kernel:  ? process_one_work+0x430/0x430
kernel:  ? kthread_create_on_node+0x70/0x70
kernel:  ? kthread_create_on_node+0x70/0x70
kernel:  ret_from_fork+0x25/0x30
kernel: Code: c8 01 00 00 89 50 14 48 8b 83 80 00 00 00 8b 93 c8 01 00 00 89 50 28 48 8b bb 80 00 00 00 e8 5b 28 00 00 4d 8b ac 24 60 02 00 00 <49> 8b 45 70 48 39 43 70 74 49 4d 85 ed 74 0c 4c 89 ef e8 ec 0a 
kernel: RIP: reset_common_ring+0x8d/0x120 [i915] RSP: ffffba8fc119fb58
kernel: CR2: 0000000000000070
kernel: ---[ end trace dea11688f0a09ccf ]---
kernel: asynchronous wait on fence i915:Xorg[447]/0:507 timed out
kernel: pipe A vblank wait timed out
kernel: ------------[ cut here ]------------
kernel: WARNING: CPU: 0 PID: 136 at drivers/gpu/drm/i915/intel_display.c:12636 intel_atomic_commit_tail+0x1002/0x1010 [i915]
kernel: Modules linked in: fuse nf_conntrack_netlink nfnetlink ipt_REJECT nf_reject_ipv4 ip6t_REJECT nf_reject_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 tun nf_conntrack_ipv6 nf_defrag_ipv6 xt_recent xt_tcpudp xt_conntrack nf_conntrack libcrc32c crc32c_generic ip6table_filter ip6_tables iptable_filter snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic joydev mousedev spi_pxa2xx_platform 8250_dw i2c_designware_platform i2c_designware_core intel_rapl intel_telemetry_pltdrv intel_punit_ipc intel_telemetry_core intel_pmc_ipc x86_pkg_temp_thermal intel_powerclamp coretemp uvcvideo kvm_intel videobuf2_vmalloc videobuf2_memops btusb btrtl btbcm btintel videobuf2_v4l2 videobuf2_core arc4 bluetooth videodev media kvm iwlmvm irqbypass intel_rapl_perf evdev input_leds snd_soc_skl wdat_wdt snd_soc_skl_ipc
kernel:  mac_hid mac80211 snd_soc_sst_ipc i915 psmouse snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match led_class i2c_i801 lpc_ich snd_soc_core snd_compress snd_pcm_dmaengine ac97_bus iwlwifi snd_hda_intel idma64 snd_hda_codec rtsx_pci_ms ecdh_generic cfg80211 intel_lpss_pci snd_hda_core intel_lpss memstick drm_kms_helper snd_hwdep r8169 mei_me rfkill mii snd_pcm snd_timer wmi mei snd shpchp ucsi soundcore thermal drm video tpm_crb int3400_thermal acpi_thermal_rel intel_gtt battery syscopyarea sysfillrect processor_thermal_device sysimgblt int340x_thermal_zone fb_sys_fops ac i2c_algo_bit intel_soc_dts_iosf button tpm_tis tpm_tis_core tpm sch_fq_codel sg ip_tables x_tables ext4 crc16 jbd2 fscrypto mbcache algif_skcipher af_alg dm_crypt dm_mod dax sd_mod rtsx_pci_sdmmc mmc_core serio_raw atkbd
kernel:  libps2 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel pcbc ahci libahci aesni_intel aes_x86_64 crypto_simd glue_helper cryptd xhci_pci xhci_hcd libata usbcore usb_common rtsx_pci scsi_mod i8042 serio
kernel: CPU: 0 PID: 136 Comm: kworker/u8:2 Tainted: G      D         4.12.10-1-ARCH #1
kernel: Hardware name: Notebook                         W51PU                  /W51PU                  , BIOS 5.12 09/14/2016
kernel: Workqueue: events_unbound intel_atomic_commit_work [i915]
kernel: task: ffff95cc3277b700 task.stack: ffffba8fc0fcc000
kernel: RIP: 0010:intel_atomic_commit_tail+0x1002/0x1010 [i915]
kernel: RSP: 0018:ffffba8fc0fcfd88 EFLAGS: 00010282
kernel: RAX: 000000000000001c RBX: 0000000000000000 RCX: 0000000000000000
kernel: RDX: 0000000000000000 RSI: ffff95cc3fc0dcc8 RDI: ffff95cc3fc0dcc8
kernel: RBP: ffffba8fc0fcfe40 R08: 0000000000000337 R09: 000000000000000f
kernel: R10: ffffba8fc0fcfd88 R11: ffffffffa3ca052d R12: 0000000000001a7c
kernel: R13: ffff95cc33798000 R14: ffff95cc32a5b000 R15: 0000000000000001
kernel: FS:  0000000000000000(0000) GS:ffff95cc3fc00000(0000) knlGS:0000000000000000
kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
kernel: CR2: 00002705871fd008 CR3: 000000026aa09000 CR4: 00000000003406f0
kernel: Call Trace:
kernel:  ? wake_bit_function+0x60/0x60
kernel:  intel_atomic_commit_work+0x12/0x20 [i915]
kernel:  process_one_work+0x1de/0x430
kernel:  worker_thread+0x47/0x3f0
kernel:  kthread+0x125/0x140
kernel:  ? process_one_work+0x430/0x430
kernel:  ? kthread_create_on_node+0x70/0x70
kernel:  ret_from_fork+0x25/0x30
kernel: Code: ff ff ff 48 83 c7 08 e8 dd d8 88 e2 4c 8b 85 70 ff ff ff 4d 85 c0 0f 85 f3 fa ff ff 8d 73 41 48 c7 c7 88 50 8d c0 e8 31 3b 95 e2 <0f> ff e9 dd fa ff ff 0f 1f 80 00 00 00 00 0f 1f 44 00 00 55 48 
kernel: ---[ end trace dea11688f0a09cd0 ]---
Comment 7 Baptiste Jonglez 2017-09-09 22:06:27 UTC
Created attachment 134119 [details]
Output of /sys/class/drm/card0/error after one of the crash (before a reboot)

I've just attached the output of /sys/class/drm/card0/error after a crash with kernel 4.12.10 (obtained through SSH).
Comment 8 jaar 2017-10-21 14:02:13 UTC
hello,

i upgraded to

xorg-server-1.19.5
mesa-17.2.3
libdrm-2.4.85
xf86-video-intel-2.99.917_p20171018
libva-intel-driver-1.8.3

and checked linux-4.13.8-gentoo

My GPU still hangs after some time (Apollo Lake CPU J4205 with Intel HD Graphics 505)

linux-4.11.12-gentoo kernel is still stable.

It seems to be a kernel bug. I hope you get it somehow fixed.
Maybe by checking kernel changes from kernel 4.11 to kernel 4.12 as some code in kernel 4.12 must have been changed that causes this issue?

Here is the latest dmesg:

2017-10-21T15:24:48+02:00 myserver kernel: [drm] GPU HANG: ecode 9:1:0xeeffefa1, in X [5541], reason: Hang on bcs0, action: reset
2017-10-21T15:24:48+02:00 myserver kernel: [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
2017-10-21T15:24:48+02:00 myserver kernel: [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
2017-10-21T15:24:48+02:00 myserver kernel: [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
2017-10-21T15:24:48+02:00 myserver kernel: [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
2017-10-21T15:24:48+02:00 myserver kernel: [drm] GPU crash dump saved to /sys/class/drm/card0/error
2017-10-21T15:24:48+02:00 myserver kernel: drm/i915: Resetting chip after gpu hang
2017-10-21T15:24:48+02:00 myserver kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000070
2017-10-21T15:24:48+02:00 myserver kernel: IP: reset_common_ring+0x9f/0xfa [i915]
2017-10-21T15:24:48+02:00 myserver kernel: PGD 0 
2017-10-21T15:24:48+02:00 myserver kernel: P4D 0 
2017-10-21T15:24:48+02:00 myserver kernel: 
2017-10-21T15:24:48+02:00 myserver kernel: Oops: 0000 [#1] SMP
2017-10-21T15:24:48+02:00 myserver kernel: Modules linked in: sha1_ssse3 sha1_generic arc4 ppp_mppe ppp_async crc_ccitt ppp_generic slhc nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack rfcomm algif_skcipher af_alg xt_tcpudp iptable_filter ip_tables x_tables bnep autofs4 ipv6 rc_hauppauge em28xx_rc rc_core si2157 si2168 i2c_mux em28xx_dvb dvb_core snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic vboxpci(O) vboxnetadp(O) input_leds btusb btrtl joydev btbcm vboxnetflt(O) btintel bluetooth ecdh_generic rfkill em28xx tveeprom v4l2_common videodev x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm vboxdrv(O) irqbypass crc32c_intel ghash_clmulni_intel pcspkr i2c_i801 thermal fan i915 iosf_mbi i2c_algo_bit battery drm_kms_helper snd_hda_intel syscopyarea sysfillrect sysimgblt snd_hda_codec fb_sys_fops snd_hda_core
2017-10-21T15:24:48+02:00 myserver kernel: video snd_hwdep button drm snd_pcm snd_timer i2c_core snd intel_gtt aesni_intel crypto_simd glue_helper cryptd aes_x86_64 libiscsi scsi_transport_iscsi tg3 ptp pps_core libphy sky2 r8169 pcnet32 mii e1000 bnx2 fuse nfs lockd grace sunrpc multipath linear raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 dm_snapshot dm_bufio dm_crypt dm_mirror dm_region_hash dm_log dm_mod dax hid_sunplus hid_sony led_class hid_samsung hid_pl hid_petalynx hid_gyration sl811_hcd usbhid usb_storage aic94xx libsas lpfc crc_t10dif crct10dif_common qla2xxx megaraid_sas megaraid_mbox megaraid_mm megaraid aacraid sx8 DAC960 cciss 3w_9xxx 3w_xxxx mptsas scsi_transport_sas mptfc scsi_transport_fc mptspi mptscsih mptbase atp870u dc395x qla1280 imm parport dmx3191d
2017-10-21T15:24:48+02:00 myserver kernel: sym53c8xx gdth initio BusLogic arcmsr aic7xxx aic79xx scsi_transport_spi sg pdc_adma sata_inic162x sata_mv ata_piix ahci libahci sata_qstor sata_vsc sata_uli sata_sis sata_sx4 sata_nv sata_via sata_svw sata_sil24 sata_sil sata_promise pata_sl82c105 pata_via pata_jmicron pata_marvell pata_sis pata_netcell pata_pdc202xx_old pata_triflex pata_atiixp pata_opti pata_amd pata_ali pata_it8213 pata_pcmcia pcmcia pcmcia_core pata_ns87415 pata_ns87410 pata_serverworks pata_artop pata_it821x pata_optidma pata_hpt3x2n pata_hpt3x3 pata_hpt37x pata_hpt366 pata_cmd64x pata_efar pata_rz1000 pata_sil680 pata_radisys pata_pdc2027x pata_mpiix libata
2017-10-21T15:24:48+02:00 myserver kernel: CPU: 2 PID: 19994 Comm: kworker/2:1 Tainted: G           O    4.13.8-gentoo #1
2017-10-21T15:24:48+02:00 myserver kernel: Hardware name: To Be Filled By O.E.M.
2017-10-21T15:24:48+02:00 myserver kernel: Workqueue: events_long i915_hangcheck_elapsed [i915]
2017-10-21T15:24:48+02:00 myserver kernel: task: ffff88046f5c87c0 task.stack: ffffc90003c98000
2017-10-21T15:24:48+02:00 myserver kernel: RIP: 0010:reset_common_ring+0x9f/0xfa [i915]
2017-10-21T15:24:48+02:00 myserver kernel: RSP: 0018:ffffc90003c9bbb0 EFLAGS: 00010246
2017-10-21T15:24:48+02:00 myserver kernel: RAX: 0000000000003f00 RBX: ffff880383ebfd80 RCX: 0000000000004000
2017-10-21T15:24:48+02:00 myserver kernel: RDX: 0000000000003fff RSI: ffff88046b5ea800 RDI: 0000000000000000
2017-10-21T15:24:48+02:00 myserver kernel: RBP: ffffc90003c9bbc8 R08: ffff8804427f2000 R09: 0000000000000001
2017-10-21T15:24:48+02:00 myserver kernel: R10: ffffc90003c9baf0 R11: 0000000000000046 R12: ffff88046b5ea828
2017-10-21T15:24:48+02:00 myserver kernel: R13: ffff88046c192000 R14: ffff88046f3c4d40 R15: ffff88046b5ea800
2017-10-21T15:24:48+02:00 myserver kernel: FS:  0000000000000000(0000) GS:ffff88047fd00000(0000) knlGS:0000000000000000
2017-10-21T15:24:48+02:00 myserver kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
2017-10-21T15:24:48+02:00 myserver kernel: CR2: 0000000000000070 CR3: 0000000001809000 CR4: 00000000003406e0
2017-10-21T15:24:48+02:00 myserver kernel: Call Trace:
2017-10-21T15:24:48+02:00 myserver kernel: i915_gem_reset+0x28d/0x304 [i915]
2017-10-21T15:24:48+02:00 myserver kernel: ? g4x_do_reset+0x1fc/0x1fc [i915]
2017-10-21T15:24:48+02:00 myserver kernel: ? intel_gpu_reset+0x5c/0x69 [i915]
2017-10-21T15:24:48+02:00 myserver kernel: i915_reset+0xb5/0x14b [i915]
2017-10-21T15:24:48+02:00 myserver kernel: i915_reset_and_wakeup+0xcc/0x155 [i915]
2017-10-21T15:24:48+02:00 myserver kernel: i915_handle_error+0x1bc/0x1d6 [i915]
2017-10-21T15:24:48+02:00 myserver kernel: ? vscnprintf+0xd/0x23
2017-10-21T15:24:48+02:00 myserver kernel: ? scnprintf+0x36/0x3e
2017-10-21T15:24:48+02:00 myserver kernel: hangcheck_declare_hang+0xc6/0xd5 [i915]
2017-10-21T15:24:48+02:00 myserver kernel: ? fwtable_read32+0xf7/0x105 [i915]
2017-10-21T15:24:48+02:00 myserver kernel: ? intel_engine_get_active_head+0x71/0xb7 [i915]
2017-10-21T15:24:48+02:00 myserver kernel: i915_hangcheck_elapsed+0x1fa/0x239 [i915]
2017-10-21T15:24:48+02:00 myserver kernel: process_one_work+0x149/0x236
2017-10-21T15:24:48+02:00 myserver kernel: ? rescuer_thread+0x264/0x264
2017-10-21T15:24:48+02:00 myserver kernel: worker_thread+0x1cf/0x296
2017-10-21T15:24:48+02:00 myserver kernel: ? rescuer_thread+0x264/0x264
2017-10-21T15:24:48+02:00 myserver kernel: kthread+0x11d/0x125
2017-10-21T15:24:48+02:00 myserver kernel: ? kthread_create_on_node+0x3a/0x3a
2017-10-21T15:24:48+02:00 myserver kernel: ret_from_fork+0x22/0x30
2017-10-21T15:24:48+02:00 myserver kernel: Code: 00 89 50 14 48 8b 83 80 00 00 00 8b 93 c0 01 00 00 89 50 20 48 8b bb 80 00 00 00 e8 0b 1c 00 00 49 8b bd a0 02 00 00 48 83 e7 fc <48> 8b 47 70 48 39 43 70 74 23 48 85 ff 74 05 f0 ff 0f 74 3f 49 
2017-10-21T15:24:48+02:00 myserver kernel: RIP: reset_common_ring+0x9f/0xfa [i915] RSP: ffffc90003c9bbb0
2017-10-21T15:24:48+02:00 myserver kernel: CR2: 0000000000000070
2017-10-21T15:24:48+02:00 myserver kernel: ---[ end trace a41958adbee23beb ]---
Comment 9 baggins 2017-10-29 22:19:10 UTC
Created attachment 135160 [details]
output of /sys/class/drm/card0/error
Comment 10 Elizabeth 2017-11-09 17:14:31 UTC
Hello everybody, 
Could you try to bisect the commit to identify the faulty one??
Thank you.
Comment 11 Jari Tahvanainen 2017-11-13 13:22:50 UTC
And please provide some kind of description of the use case/usage just before Hang happens.
Comment 12 Baptiste Jonglez 2017-11-14 23:45:23 UTC
For me the crash happened while using a web browser (chromium).  Displaying a map like OpenStreetMap or Google Maps seemed to trigger the crash faster.
Comment 13 baggins 2017-11-15 14:35:27 UTC
For me this happens almost at random, sometimes switching between tabs in Firefox causes the graphics to freeze, but I have had it happen also when I was away from the machine.
I will attach the output of dmesg which I got by ssh into the machine when frozen. This was with a older kernel: 4.12.14-200.fc25.x86_64
Comment 14 baggins 2017-11-15 14:38:17 UTC
Created attachment 135491 [details]
dmesg from ssh into machine when frozen
Comment 15 Ville Syrjala 2017-11-15 15:23:29 UTC
(In reply to baggins from comment #14)
> Created attachment 135491 [details]
> dmesg from ssh into machine when frozen

[ 1075.306230] DC6 already programmed to be enabled.
...
[ 1075.306703] [drm:gen9_set_dc_state [i915]] *ERROR* DC state mismatch (0x0 -> 0x2)
...
[16931.086359] [drm] GPU HANG: ecode 9:0:0xfed7fffe, in Xorg [1392], reason: Hang on rcs, action: reset
[16931.086388] drm/i915: Resetting chip after gpu hang
[16931.788779] [drm:gen8_reset_engines [i915]] *ERROR* rcs: reset request timeout
[16931.788826] [drm:i915_reset [i915]] *ERROR* Failed to reset chip: -5

So that looks like the DMC firmware fail, and then the GPU died. Unfortunately I can't find the appropriate bug for it right now.

To (hopefully) fix that one would need the following patch:
https://patchwork.freedesktop.org/series/33022/

And get the KBL DMC 1.04 firmware from:
https://github.com/anushasr/linux-firmware.git

Doesn't look like this is the problem for the other people here though.
Comment 16 Jani Saarinen 2017-11-20 14:46:31 UTC
So dup of this?
https://bugs.freedesktop.org/show_bug.cgi?id=103165
Comment 17 Jani Saarinen 2017-11-21 07:43:45 UTC
Reporter, can you comment if 1.04 DMC and patch that takes 1.04 in to use fixes you issue. I will resolve this now as dup but please change if you see no reason to dup this.

*** This bug has been marked as a duplicate of bug 103165 ***
Comment 18 baggins 2017-11-24 12:50:10 UTC
Hi Jari,

I'm just a simple end-user.

Applying this patch would mean I would have to install the kernel source and compiling it myself and that is something I cannot get involved in at the moment.
Sorry for that.

I take it that this patch will make it into some later version of the kernel that will be pushed to the repositories?
Comment 19 jaar 2017-12-10 11:06:02 UTC
Created attachment 136065 [details]
output of /sys/class/drm/card0/error

after a profile update i had to rebuild my system with gcc 6.4 (Gentoo Hardened 6.4.0 p1.1)
after recompiling the complete system i managed to upgraded to kernel 4.14.x without any gpu-freezes!

maybe the new hardened profile or gcc 6.4 solved the freezes.
since then i had several atomic errors, but no gpu hang!

however, today i had another GPU hang, but unlike the freezes before now resetting gpu worked and i was able to continue working without any issues.

the application that caused the GPU hang was avidemux3:
https://github.com/mean00/avidemux2.git (./bootStrap.bash --enable-qt4)

the problem may be related to VAAPI as i used avidemux with VAAPI enabled to cut a x265/HEVC video (fast forward searching in video: continuously PageUp-key pressed down)

dmesg:
[317920.925145] [drm] GPU HANG: ecode 9:2:0xa8dfbffd, in avidemux3_qt4 [1739], reason: Hang on vcs0, action: reset
[317920.925148] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[317920.925148] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[317920.925149] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[317920.925150] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[317920.925151] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[317920.925320] i915 0000:00:02.0: Resetting chip after gpu hang
[317920.928295] [drm] RC6 on

crash dump is attached (binary data removed)
Comment 20 jaar 2017-12-10 11:11:34 UTC
sorry, fast forward searching in video: continuously CursorUp-key pressed down not PageUp
Comment 21 jaar 2017-12-10 13:46:51 UTC
no freezes but still gpu hang
Comment 22 jaar 2017-12-10 13:51:06 UTC
reopened: please check comment #19
Comment 23 baggins 2017-12-11 09:35:15 UTC
In the mean time I have upgraded to F27 with kernel 4.14.3-300.fc27.x86_64.

In the /usr/lib/firmware/i915 directory, I see the following:

-rw-r--r-- 1 root root   8616 nov 26 15:22 kbl_dmc_ver1_01.bin
-rw-r--r-- 1 root root   8840 nov 26 15:22 kbl_dmc_ver1_04.bin
lrwxrwxrwx 1 root root     19 nov 26 15:22 kbl_dmc_ver1.bin -> kbl_dmc_ver1_01.bin

So even though 1_04 is installed, kbl_dmc_ver1.bin still points to 1_01.
Am I supposed to manually alter the link?
Comment 24 Imre Deak 2017-12-11 11:47:14 UTC
(In reply to baggins from comment #23)
> In the mean time I have upgraded to F27 with kernel 4.14.3-300.fc27.x86_64.
> 
> In the /usr/lib/firmware/i915 directory, I see the following:
> 
> -rw-r--r-- 1 root root   8616 nov 26 15:22 kbl_dmc_ver1_01.bin
> -rw-r--r-- 1 root root   8840 nov 26 15:22 kbl_dmc_ver1_04.bin
> lrwxrwxrwx 1 root root     19 nov 26 15:22 kbl_dmc_ver1.bin ->
> kbl_dmc_ver1_01.bin
> 
> So even though 1_04 is installed, kbl_dmc_ver1.bin still points to 1_01.
> Am I supposed to manually alter the link?

No, it's not needed, the symlink isn't used by newer kernels, the driver refers to the exact version in the filename. But the kernel change [1] to upgrade from KBL DMC version 1.01 to 1.04 is not backported yet to stable kernels, it'll be done after some more testing.

[1] https://patchwork.freedesktop.org/patch/187414/
Comment 25 Tom 2017-12-14 18:30:49 UTC
Hi all,
recently I have experimented similar problem on KODI Libreelec OS and intel NUC.
With old Libreelec 8.0.1 with kernel 4.9.29 all worked fine. Then I moved to v8.2 with kernel 4.11.12 and with this version I have a lot of screen freeze.

I have an application on KODI medicenter that need to work on 1080p resolution, so if KODI works on 4k screen I need to switch resolution to 1080p when start my app and revert to 4k when exit.

On Libeelec 8.2 (kernel 4.11.12) 50% of times the system hang (screen blank) and the X server not respond anymore... for example if I try call the command xrandr --current this remain suspended.

From dmesg I see a stack trace on DRM atomic call... Following the complete dmesg
Comment 26 Tom 2017-12-14 18:34:46 UTC
[    0.000000] Linux version 4.11.12 (marco@builder3) (gcc version 6.2.0 (GCC) ) #1 SMP Mon Nov 13 12:06:21 CET 2017
[    0.000000] Command line: BOOT_IMAGE=/KERNEL boot=LABEL=System disk=LABEL=Storage tty drm.debug=0x1e log_buf_len=1M 
[    0.000000] x86/fpu: x87 FPU will use FXSAVE
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009ebff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009ec00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000003fffffff] usable
[    0.000000] BIOS-e820: [mem 0x0000000040000000-0x00000000401fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000040200000-0x000000007b097fff] usable
[    0.000000] BIOS-e820: [mem 0x000000007b098000-0x000000007b117fff] reserved
[    0.000000] BIOS-e820: [mem 0x000000007b118000-0x000000007b129fff] ACPI data
[    0.000000] BIOS-e820: [mem 0x000000007b12a000-0x000000007b68bfff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x000000007b68c000-0x000000007b9a3fff] reserved
[    0.000000] BIOS-e820: [mem 0x000000007b9a4000-0x000000007bba2fff] usable
[    0.000000] BIOS-e820: [mem 0x000000007bba3000-0x000000007bff5fff] reserved
[    0.000000] BIOS-e820: [mem 0x000000007bff6000-0x000000007bffffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fea00000-0x00000000feafffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed03000-0x00000000fed03fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed06000-0x00000000fed06fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed08000-0x00000000fed09fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1cfff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed80000-0x00000000fedbffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ff980000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000017fffffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.8 present.
[    0.000000] DMI:          NUC5PGYH/NUC5PGYB, BIOS GYBSWCEL.86A.0050.2016.0223.1234 02/23/2016
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] e820: last_pfn = 0x180000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000 mask F80000000 write-back
[    0.000000]   1 base 07C800000 mask FFF800000 uncachable
[    0.000000]   2 base 07D000000 mask FFF000000 uncachable
[    0.000000]   3 base 07E000000 mask FFE000000 uncachable
[    0.000000]   4 base 100000000 mask F80000000 write-back
[    0.000000]   5 base 088000000 mask FF8000000 write-through
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WC  UC- WT  
[    0.000000] e820: last_pfn = 0x7c000 max_arch_pfn = 0x400000000
[    0.000000] found SMP MP-table at [mem 0x000fd830-0x000fd83f] mapped at [ffff8800000fd830]
[    0.000000] Scanning 1 areas for low memory corruption
[    0.000000] Base memory trampoline at [ffff880000098000] 98000 size 24576
[    0.000000] BRK [0x038d7000, 0x038d7fff] PGTABLE
[    0.000000] BRK [0x038d8000, 0x038d8fff] PGTABLE
[    0.000000] BRK [0x038d9000, 0x038d9fff] PGTABLE
[    0.000000] BRK [0x038da000, 0x038dafff] PGTABLE
[    0.000000] BRK [0x038db000, 0x038dbfff] PGTABLE
[    0.000000] BRK [0x038dc000, 0x038dcfff] PGTABLE
[    0.000000] log_buf_len: 1048576 bytes
[    0.000000] early log buf free: 61412(93%)
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000F0580 000024 (v02 INTEL )
[    0.000000] ACPI: XSDT 0x000000007B11C088 00008C (v01 INTEL  NUC5CPYB 00000032 AMI  00010013)
[    0.000000] ACPI: FACP 0x000000007B1273F8 00010C (v05 INTEL  NUC5CPYB 00000032 AMI  00010013)
[    0.000000] ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/Gpe0Block: 128/32 (20170119/tbfadt-603)
[    0.000000] ACPI: DSDT 0x000000007B11C1A0 00B255 (v02 INTEL  NUC5CPYB 00000032 INTL 20120913)
[    0.000000] ACPI: FACS 0x000000007B68BE80 000040
[    0.000000] ACPI: APIC 0x000000007B127508 000084 (v03 INTEL  NUC5CPYB 00000032 AMI  00010013)
[    0.000000] ACPI: FPDT 0x000000007B127590 000044 (v01 INTEL  NUC5CPYB 00000032 AMI  00010013)
[    0.000000] ACPI: FIDT 0x000000007B1275D8 00009C (v01 INTEL  NUC5CPYB 00000032 AMI  00010013)
[    0.000000] ACPI: MCFG 0x000000007B127678 00003C (v01 INTEL  NUC5CPYB 00000032 MSFT 00000097)
[    0.000000] ACPI: SSDT 0x000000007B1276B8 000763 (v01 INTEL  NUC5CPYB 00000032 INTL 20061109)
[    0.000000] ACPI: SSDT 0x000000007B127E20 000290 (v01 INTEL  NUC5CPYB 00000032 INTL 20061109)
[    0.000000] ACPI: SSDT 0x000000007B1280B0 00017A (v01 INTEL  NUC5CPYB 00000032 INTL 20061109)
[    0.000000] ACPI: UEFI 0x000000007B128230 000042 (v01 INTEL  NUC5CPYB 00000032      00000000)
[    0.000000] ACPI: LPIT 0x000000007B128278 000104 (v01 INTEL  NUC5CPYB 00000032 MSFT 0100000D)
[    0.000000] ACPI: CSRT 0x000000007B128380 00014C (v00 INTEL  NUC5CPYB 00000032 MSFT 0100000D)
[    0.000000] ACPI: SSDT 0x000000007B1284D0 0016AC (v01 INTEL  NUC5CPYB 00000032 INTL 20061109)
[    0.000000] ACPI: MSDM 0x000000007B129B80 000055 (v03 INTEL  NUC5CPYB 00000032 AMI  AFAFAFAF)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000017fffffff]
[    0.000000] NODE_DATA(0) allocated [mem 0x17fef8000-0x17fefbfff]
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
[    0.000000]   Normal   [mem 0x0000000100000000-0x000000017fffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009dfff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x000000003fffffff]
[    0.000000]   node   0: [mem 0x0000000040200000-0x000000007b097fff]
[    0.000000]   node   0: [mem 0x000000007b9a4000-0x000000007bba2fff]
[    0.000000]   node   0: [mem 0x000000007bff6000-0x000000007bffffff]
[    0.000000]   node   0: [mem 0x0000000100000000-0x000000017fffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000017fffffff]
[    0.000000] On node 0 totalpages: 1028158
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 21 pages reserved
[    0.000000]   DMA zone: 3997 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 7811 pages used for memmap
[    0.000000]   DMA32 zone: 499873 pages, LIFO batch:31
[    0.000000]   Normal zone: 8192 pages used for memmap
[    0.000000]   Normal zone: 524288 pages, LIFO batch:31
[    0.000000] Reserving Intel graphics memory at 0x000000007cf00000-0x000000007eefffff
[    0.000000] ACPI: PM-Timer IO Port: 0x408
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x04] high edge lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-114
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] smpboot: Allowing 4 CPUs, 0 hotplug CPUs
[    0.000000] e820: [mem 0x7ef00000-0xdfffffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 6370452778343963 ns
[    0.000000] setup_percpu: NR_CPUS:16 nr_cpumask_bits:16 nr_cpu_ids:4 nr_node_ids:1
[    0.000000] percpu: Embedded 35 pages/cpu @ffff88017fc00000 s103896 r8192 d31272 u524288
[    0.000000] pcpu-alloc: s103896 r8192 d31272 u524288 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 1012070
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: root=/dev/ram0 rdinit=/init usbcore.autosuspend=-1 BOOT_IMAGE=/KERNEL boot=LABEL=System disk=LABEL=Storage tty drm.debug=0x1e log_buf_len=1M 
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] Memory: 3937536K/4112632K available (11877K kernel code, 890K rwdata, 23220K rodata, 3608K init, 408K bss, 175096K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	Build-time adjustment of leaf fanout to 64.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=16 to nr_cpu_ids=4.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=64, nr_cpu_ids=4
[    0.000000] NR_IRQS:4352 nr_irqs:1024 16
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.003333] tsc: Detected 1600.000 MHz processor
[    0.003333] Calibrating delay loop (skipped), value calculated using timer frequency.. 3201.33 BogoMIPS (lpj=5333333)
[    0.003333] pid_max: default: 32768 minimum: 301
[    0.003333] ACPI: Core revision 20170119
[    0.019411] ACPI: 5 ACPI AML tables successfully acquired and loaded
[    0.020074] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.022538] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.023778] Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.023966] Mountpoint-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.024505] CPU: Physical Processor ID: 0
[    0.024684] CPU: Processor Core ID: 0
[    0.024857] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.025032] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.025218] process: using mwait in idle threads
[    0.025396] Last level iTLB entries: 4KB 48, 2MB 0, 4MB 0
[    0.025569] Last level dTLB entries: 4KB 256, 2MB 16, 4MB 16, 1GB 0
[    0.025941] Freeing SMP alternatives memory: 40K
[    0.029326] smpboot: Max logical packages: 1
[    0.029999] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=0 pin2=0
[    0.060824] TSC deadline timer enabled
[    0.060828] smpboot: CPU0: Intel(R) Pentium(R) CPU  N3700  @ 1.60GHz (family: 0x6, model: 0x4c, stepping: 0x3)
[    0.061259] Performance Events: PEBS fmt2+, 8-deep LBR, Silvermont events, 8-deep LBR, full-width counters, Intel PMU driver.
[    0.061556] ... version:                3
[    0.061725] ... bit width:              40
[    0.061893] ... generic registers:      2
[    0.062063] ... value mask:             000000ffffffffff
[    0.062234] ... max period:             0000007fffffffff
[    0.062406] ... fixed-purpose events:   3
[    0.062573] ... event mask:             0000000700000003
[    0.063313] NMI watchdog: enabled on all CPUs, permanently consumes one hw-PMU counter.
[    0.063333] smp: Bringing up secondary CPUs ...
[    0.063333] x86: Booting SMP configuration:
[    0.063341] .... node  #0, CPUs:      #1 #2 #3
[    0.313451] smp: Brought up 1 node, 4 CPUs
[    0.313690] smpboot: Total of 4 processors activated (12814.50 BogoMIPS)
[    0.314490] sched_clock: Marking stable (313333302, 0)->(314378900, -1045598)
[    0.315285] devtmpfs: initialized
[    0.316041] PM: Registering ACPI NVS region [mem 0x7b12a000-0x7b68bfff] (5644288 bytes)
[    0.316603] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 6370867519511994 ns
[    0.316892] futex hash table entries: 1024 (order: 4, 65536 bytes)
[    0.317137] xor: measuring software checksum speed
[    0.349883]    prefetch64-sse:  6355.200 MB/sec
[    0.383254]    generic_sse:  5618.400 MB/sec
[    0.383427] xor: using function: prefetch64-sse (6355.200 MB/sec)
[    0.383616] pinctrl core: initialized pinctrl subsystem
[    0.384084] NET: Registered protocol family 16
[    0.384790] cpuidle: using governor ladder
[    0.385034] cpuidle: using governor menu
[    0.385211] PCCT header not found.
[    0.385560] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[    0.385832] ACPI: bus type PCI registered
[    0.386116] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.386394] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.386616] PCI: Using configuration type 1 for base access
[    0.450045] raid6: sse2x1   gen()   690 MB/s
[    0.506723] raid6: sse2x1   xor()  1722 MB/s
[    0.563436] raid6: sse2x2   gen()  1068 MB/s
[    0.620148] raid6: sse2x2   xor()  1993 MB/s
[    0.676898] raid6: sse2x4   gen()  1728 MB/s
[    0.733591] raid6: sse2x4   xor()  1896 MB/s
[    0.733763] raid6: using algorithm sse2x4 gen() 1728 MB/s
[    0.735654] raid6: .... xor() 1896 MB/s, rmw enabled
[    0.735828] raid6: using ssse3x2 recovery algorithm
[    0.736091] ACPI: Added _OSI(Module Device)
[    0.736264] ACPI: Added _OSI(Processor Device)
[    0.736436] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.736607] ACPI: Added _OSI(Processor Aggregator Device)
[    0.747689] ACPI: Dynamic OEM Table Load:
[    0.747883] ACPI: SSDT 0xFFFF88017A4E9800 000697 (v01 PmRef  Cpu0Ist  00003000 INTL 20061109)
[    0.748612] ACPI: Dynamic OEM Table Load:
[    0.748792] ACPI: SSDT 0xFFFF88017A401400 0003A5 (v01 PmRef  Cpu0Cst  00003001 INTL 20061109)
[    0.749939] ACPI: Dynamic OEM Table Load:
[    0.750119] ACPI: SSDT 0xFFFF88017A58B200 00015F (v01 PmRef  ApIst    00003000 INTL 20061109)
[    0.750800] ACPI: Dynamic OEM Table Load:
[    0.750980] ACPI: SSDT 0xFFFF88017A404B40 00008D (v01 PmRef  ApCst    00003000 INTL 20061109)
[    0.753940] ACPI: Interpreter enabled
[    0.754151] ACPI: (supports S0 S3 S5)
[    0.754324] ACPI: Using IOAPIC for interrupt routing
[    0.754556] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.758322] ACPI: Power Resource [ID3C] (off)
[    0.763945] ACPI: Power Resource [USBC] (on)
[    0.772349] ACPI: Power Resource [CLK0] (off)
[    0.773123] ACPI: Power Resource [CLK0] (off)
[    0.773393] ACPI: Power Resource [CLK1] (off)
[    0.782269] ACPI: Power Resource [FN00] (off)
[    0.783570] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.783757] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.784130] acpi PNP0A08:00: _OSC failed (AE_ERROR); disabling ASPM
[    0.784625] PCI host bridge to bus 0000:00
[    0.784803] pci_bus 0000:00: root bus resource [io  0x0070-0x0077]
[    0.784978] pci_bus 0000:00: root bus resource [io  0x0000-0x006f window]
[    0.785153] pci_bus 0000:00: root bus resource [io  0x0078-0x0cf7 window]
[    0.785329] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.785505] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.785775] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff window]
[    0.786038] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000fffff window]
[    0.786308] pci_bus 0000:00: root bus resource [mem 0x80000000-0xdfffffff window]
[    0.786581] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.786768] pci 0000:00:00.0: [8086:2280] type 00 class 0x060000
[    0.787115] pci 0000:00:02.0: [8086:22b1] type 00 class 0x030000
[    0.787144] pci 0000:00:02.0: reg 0x10: [mem 0x80000000-0x80ffffff 64bit]
[    0.787160] pci 0000:00:02.0: reg 0x18: [mem 0x88000000-0x8fffffff 64bit pref]
[    0.787170] pci 0000:00:02.0: reg 0x20: [io  0xf000-0xf03f]
[    0.787473] pci 0000:00:14.0: [8086:22b5] type 00 class 0x0c0330
[    0.787503] pci 0000:00:14.0: reg 0x10: [mem 0x81300000-0x8130ffff 64bit]
[    0.787608] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.787794] pci 0000:00:14.0: System wakeup disabled by ACPI
[    0.788052] pci 0000:00:1a.0: [8086:2298] type 00 class 0x108000
[    0.788077] pci 0000:00:1a.0: reg 0x10: [mem 0x81100000-0x811fffff]
[    0.788090] pci 0000:00:1a.0: reg 0x14: [mem 0x81000000-0x810fffff]
[    0.788190] pci 0000:00:1a.0: PME# supported from D0 D3hot
[    0.788458] pci 0000:00:1b.0: [8086:2284] type 00 class 0x040300
[    0.788492] pci 0000:00:1b.0: reg 0x10: [mem 0x81314000-0x81317fff 64bit]
[    0.788606] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.788765] pci 0000:00:1b.0: System wakeup disabled by ACPI
[    0.789017] pci 0000:00:1c.0: [8086:22c8] type 01 class 0x060400
[    0.789136] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.789291] pci 0000:00:1c.0: System wakeup disabled by ACPI
[    0.789537] pci 0000:00:1c.2: [8086:22cc] type 01 class 0x060400
[    0.789656] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[    0.789812] pci 0000:00:1c.2: System wakeup disabled by ACPI
[    0.790070] pci 0000:00:1f.0: [8086:229c] type 00 class 0x060100
[    0.790411] pci 0000:00:1f.3: [8086:2292] type 00 class 0x0c0500
[    0.790466] pci 0000:00:1f.3: reg 0x10: [mem 0x8131c000-0x8131c01f]
[    0.790584] pci 0000:00:1f.3: reg 0x20: [io  0xf040-0xf05f]
[    0.791012] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.791303] pci 0000:02:00.0: [10ec:8168] type 00 class 0x020000
[    0.791330] pci 0000:02:00.0: reg 0x10: [io  0xe000-0xe0ff]
[    0.791369] pci 0000:02:00.0: reg 0x18: [mem 0x81204000-0x81204fff 64bit]
[    0.791394] pci 0000:02:00.0: reg 0x20: [mem 0x81200000-0x81203fff 64bit]
[    0.791541] pci 0000:02:00.0: supports D1 D2
[    0.791544] pci 0000:02:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.791614] pci 0000:02:00.0: System wakeup disabled by ACPI
[    0.800781] pci 0000:00:1c.2: PCI bridge to [bus 02]
[    0.800960] pci 0000:00:1c.2:   bridge window [io  0xe000-0xefff]
[    0.800966] pci 0000:00:1c.2:   bridge window [mem 0x81200000-0x812fffff]
[    1.818616] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 *11 12 14 15)
[    1.818945] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 *4 5 6 10 11 12 14 15)
[    1.819261] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 10 11 12 14 15)
[    1.819575] ACPI: PCI Interrupt Link [LNKD] (IRQs *3 4 5 6 10 11 12 14 15)
[    1.819887] ACPI: PCI Interrupt Link [LNKE] (IRQs *3 4 5 6 10 11 12 14 15)
[    1.820206] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 *11 12 14 15)
[    1.820519] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 *5 6 10 11 12 14 15)
[    1.820833] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    1.829483] ACPI: Enabled 5 GPEs in block 00 to 3F
[    1.829940] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    1.830122] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    1.830400] pci 0000:00:02.0: vgaarb: bridge control possible
[    1.830570] vgaarb: loaded
[    1.830861] SCSI subsystem initialized
[    1.831122] libata version 3.00 loaded.
[    1.831172] ACPI: bus type USB registered
[    1.831386] usbcore: registered new interface driver usbfs
[    1.831577] usbcore: registered new interface driver hub
[    1.831802] usbcore: registered new device driver usb
[    1.858020] pps_core: LinuxPPS API ver. 1 registered
[    1.858202] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    1.858490] PTP clock support registered
[    1.858761] wmi: Mapper loaded
[    1.858961] Advanced Linux Sound Architecture Driver Initialized.
[    1.859136] PCI: Using ACPI for IRQ routing
[    1.870265] PCI: pci_cache_line_size set to 64 bytes
[    1.870339] e820: reserve RAM buffer [mem 0x0009ec00-0x0009ffff]
[    1.870342] e820: reserve RAM buffer [mem 0x7b098000-0x7bffffff]
[    1.870344] e820: reserve RAM buffer [mem 0x7bba3000-0x7bffffff]
[    1.870774] clocksource: Switched to clocksource refined-jiffies
[    1.871077] FS-Cache: Loaded
[    1.871309] pnp: PnP ACPI init
[    1.871786] system 00:00: [io  0x0680-0x069f] has been reserved
[    1.871975] system 00:00: [io  0x0400-0x047f] has been reserved
[    1.872152] system 00:00: [io  0x0500-0x05fe] has been reserved
[    1.872325] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    1.872621] system 00:01: [io  0x0a00-0x0a2f] has been reserved
[    1.872799] system 00:01: [io  0x0a30-0x0a3f] has been reserved
[    1.872975] system 00:01: [io  0x0a40-0x0a4f] has been reserved
[    1.873153] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[    1.873804] pnp 00:02: [dma 0 disabled]
[    1.873878] pnp 00:02: Plug and Play ACPI device, IDs ITE8713 (active)
[    1.876623] system 00:03: [mem 0x81329000-0x81329fff] has been reserved
[    1.876804] system 00:03: [mem 0x81327000-0x81327fff] has been reserved
[    1.876979] system 00:03: [mem 0x81321000-0x81321fff] has been reserved
[    1.877155] system 00:03: [mem 0x8131f000-0x8131ffff] has been reserved
[    1.877331] system 00:03: [mem 0x8131d000-0x8131dfff] has been reserved
[    1.877507] system 00:03: [mem 0x81326000-0x81326fff] has been reserved
[    1.877683] system 00:03: [mem 0x81324000-0x81324fff] has been reserved
[    1.877857] system 00:03: [mem 0x81322000-0x81322fff] has been reserved
[    1.878036] system 00:03: Plug and Play ACPI device, IDs PNP0c02 (active)
[    1.878133] system 00:04: [mem 0xe0000000-0xefffffff] has been reserved
[    1.878309] system 00:04: [mem 0xfea00000-0xfeafffff] has been reserved
[    1.878484] system 00:04: [mem 0xfed01000-0xfed01fff] has been reserved
[    1.878667] system 00:04: [mem 0xfed03000-0xfed03fff] has been reserved
[    1.878850] system 00:04: [mem 0xfed06000-0xfed06fff] has been reserved
[    1.879027] system 00:04: [mem 0xfed08000-0xfed09fff] has been reserved
[    1.879206] system 00:04: [mem 0xfed80000-0xfedbffff] could not be reserved
[    1.879382] system 00:04: [mem 0xfed1c000-0xfed1cfff] has been reserved
[    1.879558] system 00:04: [mem 0xfee00000-0xfeefffff] could not be reserved
[    1.879738] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[    1.880375] pnp: PnP ACPI: found 5 devices
[    1.888705] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    1.889010] clocksource: Switched to clocksource acpi_pm
[    1.889236] pci 0000:00:1c.0: bridge window [io  0x1000-0x0fff] to [bus 01] add_size 1000
[    1.889243] pci 0000:00:1c.0: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 01] add_size 200000 add_align 100000
[    1.889247] pci 0000:00:1c.0: bridge window [mem 0x00100000-0x000fffff] to [bus 01] add_size 200000 add_align 100000
[    1.889281] pci 0000:00:1c.0: BAR 8: assigned [mem 0x81400000-0x815fffff]
[    1.889468] pci 0000:00:1c.0: BAR 9: assigned [mem 0x81600000-0x817fffff 64bit pref]
[    1.889743] pci 0000:00:1c.0: BAR 7: assigned [io  0x1000-0x1fff]
[    1.889924] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    1.890100] pci 0000:00:1c.0:   bridge window [io  0x1000-0x1fff]
[    1.890282] pci 0000:00:1c.0:   bridge window [mem 0x81400000-0x815fffff]
[    1.890462] pci 0000:00:1c.0:   bridge window [mem 0x81600000-0x817fffff 64bit pref]
[    1.890740] pci 0000:00:1c.2: PCI bridge to [bus 02]
[    1.890914] pci 0000:00:1c.2:   bridge window [io  0xe000-0xefff]
[    1.891093] pci 0000:00:1c.2:   bridge window [mem 0x81200000-0x812fffff]
[    1.891278] pci_bus 0000:00: resource 4 [io  0x0070-0x0077]
[    1.891281] pci_bus 0000:00: resource 5 [io  0x0000-0x006f window]
[    1.891284] pci_bus 0000:00: resource 6 [io  0x0078-0x0cf7 window]
[    1.891287] pci_bus 0000:00: resource 7 [io  0x0d00-0xffff window]
[    1.891290] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff window]
[    1.891293] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff window]
[    1.891296] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff window]
[    1.891299] pci_bus 0000:00: resource 11 [mem 0x80000000-0xdfffffff window]
[    1.891303] pci_bus 0000:01: resource 0 [io  0x1000-0x1fff]
[    1.891305] pci_bus 0000:01: resource 1 [mem 0x81400000-0x815fffff]
[    1.891308] pci_bus 0000:01: resource 2 [mem 0x81600000-0x817fffff 64bit pref]
[    1.891312] pci_bus 0000:02: resource 0 [io  0xe000-0xefff]
[    1.891315] pci_bus 0000:02: resource 1 [mem 0x81200000-0x812fffff]
[    1.891555] NET: Registered protocol family 2
[    1.892186] TCP established hash table entries: 32768 (order: 6, 262144 bytes)
[    1.892661] TCP bind hash table entries: 32768 (order: 7, 524288 bytes)
[    1.893028] TCP: Hash tables configured (established 32768 bind 32768)
[    1.893292] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[    1.893520] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[    1.893828] NET: Registered protocol family 1
[    1.894468] RPC: Registered named UNIX socket transport module.
[    1.894646] RPC: Registered udp transport module.
[    1.894818] RPC: Registered tcp transport module.
[    1.894987] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    1.895188] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    1.895975] PCI: CLS 64 bytes, default 64
[    1.965733] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.965929] software IO TLB [mem 0x77098000-0x7b098000] (64MB) mapped at [ffff880077098000-ffff88007b097fff]
[    1.966616] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x171024fa93b, max_idle_ns: 440795253189 ns
[    1.966974] clocksource: Switched to clocksource tsc
[    1.967209] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    1.968209] Scanning for low memory corruption every 60 seconds
[    1.969110] workingset: timestamp_bits=40 max_order=20 bucket_order=0
[    1.972710] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    1.972977] FS-Cache: Netfs 'nfs' registered for caching
[    1.973341] NFS: Registering the id_resolver key type
[    1.973528] Key type id_resolver registered
[    1.973699] Key type id_legacy registered
[    1.973876] nfs4filelayout_init: NFSv4 File Layout Driver Registering...
[    1.974200] FS-Cache: Netfs 'cifs' registered for caching
[    1.979249] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[    1.979533] io scheduler noop registered
[    1.979805] io scheduler cfq registered (default)
[    1.979978] io scheduler mq-deadline registered
[    1.980718] intel_idle: MWAIT substates: 0x33000020
[    1.980721] intel_idle: v0.4.1 model 0x4C
[    1.981045] intel_idle: lapic_timer_reliable_states 0xffffffff
[    1.981221] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
[    1.981518] ACPI: Lid Switch [LID0]
[    1.981768] input: Sleep Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
[    1.982048] ACPI: Sleep Button [SLPB]
[    1.982296] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    1.982578] ACPI: Power Button [PWRF]
[    1.987157] (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
[    1.987728] thermal LNXTHERM:00: registered as thermal_zone0
[    1.987904] ACPI: Thermal Zone [TZ01] (44 C)
[    1.988588] Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
[    1.991108] Linux agpgart interface v0.103
[    1.991383] [drm] radeon kernel modesetting enabled.
[    1.991633] [drm] amdgpu kernel modesetting enabled.
[    1.992488] [drm:i915_driver_load] No PCH found.
[    1.992495] [drm:intel_power_domains_init] Allowed DC state mask 00
[    1.992662] [drm:intel_device_info_dump] i915 device info: platform=CHERRYVIEW gen=8 pciid=0x22b1 rev=0x21
[    1.992667] [drm:intel_device_info_dump] i915 device info: is_mobile: no
[    1.992670] [drm:intel_device_info_dump] i915 device info: is_lp: yes
[    1.992674] [drm:intel_device_info_dump] i915 device info: is_alpha_support: no
[    1.992677] [drm:intel_device_info_dump] i915 device info: has_64bit_reloc: yes
[    1.992680] [drm:intel_device_info_dump] i915 device info: has_aliasing_ppgtt: yes
[    1.992682] [drm:intel_device_info_dump] i915 device info: has_csr: no
[    1.992685] [drm:intel_device_info_dump] i915 device info: has_ddi: no
[    1.992687] [drm:intel_device_info_dump] i915 device info: has_decoupled_mmio: no
[    1.992690] [drm:intel_device_info_dump] i915 device info: has_dp_mst: no
[    1.992693] [drm:intel_device_info_dump] i915 device info: has_fbc: no
[    1.992695] [drm:intel_device_info_dump] i915 device info: has_fpga_dbg: no
[    1.992698] [drm:intel_device_info_dump] i915 device info: has_full_ppgtt: yes
[    1.992700] [drm:intel_device_info_dump] i915 device info: has_full_48bit_ppgtt: no
[    1.992703] [drm:intel_device_info_dump] i915 device info: has_gmbus_irq: yes
[    1.992706] [drm:intel_device_info_dump] i915 device info: has_gmch_display: yes
[    1.992708] [drm:intel_device_info_dump] i915 device info: has_guc: no
[    1.992711] [drm:intel_device_info_dump] i915 device info: has_hotplug: yes
[    1.992713] [drm:intel_device_info_dump] i915 device info: has_hw_contexts: yes
[    1.992716] [drm:intel_device_info_dump] i915 device info: has_l3_dpf: no
[    1.992718] [drm:intel_device_info_dump] i915 device info: has_llc: no
[    1.992721] [drm:intel_device_info_dump] i915 device info: has_logical_ring_contexts: yes
[    1.992724] [drm:intel_device_info_dump] i915 device info: has_overlay: no
[    1.992726] [drm:intel_device_info_dump] i915 device info: has_pipe_cxsr: no
[    1.992729] [drm:intel_device_info_dump] i915 device info: has_pooled_eu: no
[    1.992731] [drm:intel_device_info_dump] i915 device info: has_psr: yes
[    1.992734] [drm:intel_device_info_dump] i915 device info: has_rc6: yes
[    1.992736] [drm:intel_device_info_dump] i915 device info: has_rc6p: no
[    1.992739] [drm:intel_device_info_dump] i915 device info: has_resource_streamer: yes
[    1.992741] [drm:intel_device_info_dump] i915 device info: has_runtime_pm: yes
[    1.992744] [drm:intel_device_info_dump] i915 device info: has_snoop: no
[    1.992747] [drm:intel_device_info_dump] i915 device info: unfenced_needs_alignment: no
[    1.992749] [drm:intel_device_info_dump] i915 device info: cursor_needs_physical: no
[    1.992752] [drm:intel_device_info_dump] i915 device info: hws_needs_physical: no
[    1.992754] [drm:intel_device_info_dump] i915 device info: overlay_needs_physical: no
[    1.992757] [drm:i915_driver_load] i915 device info: supports_tv: no
[    1.992790] [drm:intel_device_info_runtime_init] slice mask: 0001
[    1.992793] [drm:intel_device_info_runtime_init] slice total: 1
[    1.992796] [drm:intel_device_info_runtime_init] subslice total: 2
[    1.992798] [drm:intel_device_info_runtime_init] subslice mask 0003
[    1.992801] [drm:intel_device_info_runtime_init] subslice per slice: 2
[    1.992804] [drm:intel_device_info_runtime_init] EU total: 16
[    1.992806] [drm:intel_device_info_runtime_init] EU per subslice: 8
[    1.992810] [drm:intel_device_info_runtime_init] has slice power gating: n
[    1.992814] [drm:intel_device_info_runtime_init] has subslice power gating: y
[    1.992817] [drm:i915_driver_load] has EU power gating: y
[    1.992823] [drm:i915_driver_load] ppgtt mode: 2
[    1.992826] [drm:i915_driver_load] use GPU sempahores? no
[    1.992986] [drm] Memory usable by graphics device = 2048M
[    1.993165] [drm:i915_ggtt_probe_hw] GMADR size = 128M
[    1.993168] [drm:i915_ggtt_probe_hw] GTT stolen size = 32M
[    1.993171] [drm] Replacing VGA console driver
[    1.995569] Console: switching to colour dummy device 80x25
[    1.995690] [drm:i915_gem_init_stolen] Memory reserved for graphics device: 32768K, usable: 31744K
[    1.996226] [drm:intel_opregion_setup] graphic opregion physical addr: 0x7b621000
[    1.996239] [drm:intel_opregion_setup] Public ACPI methods supported
[    1.996241] [drm:intel_opregion_setup] ASLE supported
[    1.996247] [drm:intel_opregion_setup] Found valid VBT in ACPI OpRegion (Mailbox #4)
[    1.996332] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.996344] [drm] Driver supports precise vblank timestamp query.
[    1.996357] [drm:intel_bios_init] Set default to SSC at 100000 kHz
[    1.996361] [drm:intel_bios_init] VBT signature "$VBT CHERRYVIEW     ", BDB version 190
[    1.996366] [drm:intel_bios_init] BDB_GENERAL_FEATURES int_tv_support 0 int_crt_support 1 lvds_use_ssc 0 lvds_ssc_freq 120000 display_clock_mode 0 fdi_rx_polarity_inverted 0
[    1.996370] [drm:intel_bios_init] crt_ddc_bus_pin: 2
[    1.996375] [drm:intel_opregion_get_panel_type] Failed to get panel details from OpRegion (-19)
[    1.996380] [drm:intel_bios_init] Panel type: 2 (VBT)
[    1.996383] [drm:intel_bios_init] DRRS supported mode is static
[    1.996387] [drm:intel_bios_init] Found panel mode in BIOS VBT tables:
[    1.996395] [drm:drm_mode_debug_printmodeline] Modeline 0:"1024x768" 0 65000 1024 1048 1184 1344 768 771 777 806 0x8 0xa
[    1.996398] [drm:intel_bios_init] VBT initial LVDS value 0
[    1.996404] [drm:intel_bios_init] VBT backlight PWM modulation frequency 200 Hz, active high, min brightness 0, level 255, controller 0
[    1.996407] [drm:intel_bios_init] No SDVO device info is found in VBT
[    1.996411] [drm:intel_bios_init] DRRS State Enabled:1
[    1.996430] [drm:intel_dsm_detect] no _DSM method for intel device
[    1.996455] [drm:i915_driver_load] rawclk rate: 200000 kHz
[    1.996474] [drm:intel_power_domains_init_hw] Initial PHY_CONTROL=0x250007fe
[    1.996479] [drm:intel_power_well_enable] enabling always-on
[    1.996484] [drm:intel_power_well_enable] enabling display
[    1.996497] [drm:intel_power_well_enable] enabling dpio-common-bc
[    2.002026] [drm:chv_dpio_cmn_power_well_enable] Enabled DPIO PHY0 (PHY_CONTROL=0x250007ff)
[    2.004341] [drm:intel_power_well_enable] enabling dpio-common-d
[    2.008545] [drm:chv_dpio_cmn_power_well_enable] Enabled DPIO PHY1 (PHY_CONTROL=0x250007ff)
[    2.009146] [drm:intel_fbc_init] Sanitized enable_fbc value: 0
[    2.009152] [drm:intel_modeset_init] 3 display pipes available.
[    2.009230] [drm:intel_modeset_init] CZ clock rate: 320000 kHz
[    2.009240] [drm:intel_update_cdclk] Current CD clock rate: 320000 kHz
[    2.009259] [drm:intel_update_max_cdclk] Max CD clock rate: 320000 kHz
[    2.009262] [drm:intel_modeset_init] Max dotclock rate: 304000 kHz
[    2.009271] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    2.009610] [drm:intel_dp_init_connector] Adding DP connector on port B
[    2.009618] [drm:intel_dp_init_connector] using AUX B for port B (platform default)
[    2.009634] [drm:intel_hdmi_init_connector] Adding HDMI connector on port B
[    2.009642] [drm:intel_hdmi_init_connector] Using DDC pin 0x5 for port B (platform default)
[    2.009657] [drm:intel_dp_init_connector] Adding DP connector on port D
[    2.009662] [drm:intel_dp_init_connector] using AUX D for port D (platform default)
[    2.009671] [drm:intel_hdmi_init_connector] Adding HDMI connector on port D
[    2.009676] [drm:intel_hdmi_init_connector] Using DDC pin 0x3 for port D (platform default)
[    2.009682] [drm:intel_dsi_init] 
[    2.009698] [drm:intel_modeset_setup_hw_state] [CRTC:33:pipe A] hw state readout: disabled
[    2.009703] [drm:intel_modeset_setup_hw_state] [CRTC:42:pipe B] hw state readout: disabled
[    2.011555] [drm:intel_modeset_setup_hw_state] [CRTC:51:pipe C] hw state readout: enabled
[    2.011566] [drm:intel_modeset_setup_hw_state] [ENCODER:52:DP B] hw state readout: disabled, pipe A
[    2.011572] [drm:intel_modeset_setup_hw_state] [ENCODER:56:HDMI B] hw state readout: disabled, pipe A
[    2.011578] [drm:intel_modeset_setup_hw_state] [ENCODER:59:DP D] hw state readout: disabled, pipe A
[    2.011589] [drm:intel_modeset_setup_hw_state] [ENCODER:61:HDMI D] hw state readout: enabled, pipe C
[    2.011595] [drm:intel_modeset_setup_hw_state] [CONNECTOR:53:DP-1] hw state readout: disabled
[    2.011601] [drm:intel_modeset_setup_hw_state] [CONNECTOR:57:HDMI-A-1] hw state readout: disabled
[    2.011606] [drm:intel_modeset_setup_hw_state] [CONNECTOR:60:DP-2] hw state readout: disabled
[    2.011612] [drm:intel_modeset_setup_hw_state] [CONNECTOR:62:HDMI-A-2] hw state readout: enabled
[    2.011629] [drm:drm_atomic_set_mode_for_crtc] Set [MODE:3840x2160] for CRTC state ffff880179e9c000
[    2.011638] [drm:intel_dump_pipe_config] [CRTC:33:pipe A][setup_hw_state]
[    2.011645] [drm:intel_dump_pipe_config] cpu_transcoder: A, pipe bpp: 0, dithering: 0
[    2.011648] [drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[    2.011651] [drm:intel_dump_pipe_config] requested mode:
[    2.011658] [drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[    2.011663] [drm:intel_dump_pipe_config] adjusted mode:
[    2.011667] [drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[    2.011672] [drm:intel_dump_pipe_config] crtc timings: 0 0 0 0 0 0 0 0 0, type: 0x0 flags: 0x0
[    2.011676] [drm:intel_dump_pipe_config] port clock: 0, pipe src size: 0x0
[    2.011682] [drm:intel_dump_pipe_config] gmch pfit: control: 0x00000000, ratios: 0x00000000, lvds border: 0x00000000
[    2.011685] [drm:intel_dump_pipe_config] ips: 0, double wide: 0
[    2.011690] [drm:intel_dpll_dump_hw_state] dpll_hw_state: dpll: 0x0, dpll_md: 0x0, fp0: 0x0, fp1: 0x0
[    2.011693] [drm:intel_dump_pipe_config] planes on this crtc
[    2.011700] [drm:intel_dump_pipe_config] [PLANE:25:primary A] disabled, scaler_id = 0
[    2.011703] [drm:intel_dump_pipe_config] [PLANE:27:sprite A] disabled, scaler_id = 0
[    2.011708] [drm:intel_dump_pipe_config] [PLANE:29:sprite B] disabled, scaler_id = 0
[    2.011713] [drm:intel_dump_pipe_config] [PLANE:31:cursor A] disabled, scaler_id = 0
[    2.011721] [drm:intel_dump_pipe_config] [CRTC:42:pipe B][setup_hw_state]
[    2.011726] [drm:intel_dump_pipe_config] cpu_transcoder: B, pipe bpp: 0, dithering: 0
[    2.011730] [drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[    2.011733] [drm:intel_dump_pipe_config] requested mode:
[    2.011737] [drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[    2.011740] [drm:intel_dump_pipe_config] adjusted mode:
[    2.011745] [drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[    2.011750] [drm:intel_dump_pipe_config] crtc timings: 0 0 0 0 0 0 0 0 0, type: 0x0 flags: 0x0
[    2.011753] [drm:intel_dump_pipe_config] port clock: 0, pipe src size: 0x0
[    2.011757] [drm:intel_dump_pipe_config] gmch pfit: control: 0x00000000, ratios: 0x00000000, lvds border: 0x00000000
[    2.011760] [drm:intel_dump_pipe_config] ips: 0, double wide: 0
[    2.011764] [drm:intel_dpll_dump_hw_state] dpll_hw_state: dpll: 0x0, dpll_md: 0x0, fp0: 0x0, fp1: 0x0
[    2.011767] [drm:intel_dump_pipe_config] planes on this crtc
[    2.011772] [drm:intel_dump_pipe_config] [PLANE:34:primary B] disabled, scaler_id = 0
[    2.011776] [drm:intel_dump_pipe_config] [PLANE:36:sprite C] disabled, scaler_id = 0
[    2.011779] [drm:intel_dump_pipe_config] [PLANE:38:sprite D] disabled, scaler_id = 0
[    2.011783] [drm:intel_dump_pipe_config] [PLANE:40:cursor B] disabled, scaler_id = 0
[    2.011808] [drm:intel_dump_pipe_config] [CRTC:51:pipe C][setup_hw_state]
[    2.011813] [drm:intel_dump_pipe_config] cpu_transcoder: C, pipe bpp: 24, dithering: 0
[    2.011816] [drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[    2.011819] [drm:intel_dump_pipe_config] requested mode:
[    2.011824] [drm:drm_mode_debug_printmodeline] Modeline 0:"3840x2160" 30 297000 3840 4016 4104 4400 2160 2168 2178 2250 

.....

[  298.700743] ------------[ cut here ]------------
[  298.700774] WARNING: CPU: 0 PID: 604 at drivers/gpu/drm/i915/intel_display.c:14240 intel_atomic_commit_tail+0xeab/0xeb0
[  298.700780] pipe C vblank wait timed out
[  298.700785] Modules linked in: 8021q ir_nec_decoder(O) snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic intel_powerclamp intel_rapl ir_rc6_decoder(O) snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep rc_rc6_mce(O) ir_lirc_codec(O) lirc_dev(O) ite_cir(O) rc_core(O) dw_dmac snd_soc_rt5670 dw_dmac_core snd_intel_sst_acpi snd_soc_rl6231 snd_soc_sst_match snd_intel_sst_core snd_soc_sst_atom_hifi2_platform
[  298.700906] CPU: 0 PID: 604 Comm: Xorg Tainted: G           O    4.11.12 #1
[  298.700911] Hardware name:          NUC5PGYH/NUC5PGYB, BIOS GYBSWCEL.86A.0050.2016.0223.1234 02/23/2016
[  298.700916] Call Trace:
[  298.700936]  ? dump_stack+0x5c/0x78
[  298.700946]  ? __warn+0xb4/0xd0
[  298.700954]  ? warn_slowpath_fmt+0x46/0x50
[  298.700966]  ? intel_atomic_commit_tail+0xeab/0xeb0
[  298.700978]  ? __switch_to+0x218/0x3f0
[  298.700991]  ? wake_atomic_t_function+0x50/0x50
[  298.700999]  ? intel_atomic_commit+0x373/0x440
[  298.701008]  ? wake_atomic_t_function+0x50/0x50
[  298.701018]  ? drm_atomic_helper_set_config+0x78/0xd0
[  298.701030]  ? drm_mode_set_config_internal+0x5c/0x110
[  298.701040]  ? drm_mode_setcrtc+0x39d/0x470
[  298.701051]  ? drm_ioctl+0x1c0/0x3e0
[  298.701060]  ? drm_mode_getcrtc+0x140/0x140
[  298.701070]  ? __vfs_write+0xc3/0x120
[  298.701081]  ? do_vfs_ioctl+0x8a/0x5c0
[  298.701088]  ? vfs_write+0x12a/0x160
[  298.701098]  ? SyS_ioctl+0x36/0x70
[  298.701111]  ? entry_SYSCALL_64_fastpath+0x1a/0xa9
[  298.701118] ---[ end trace cde4a5fda5e28ce2 ]---
[  298.701151] [drm:verify_connector_state.isra.89] [CONNECTOR:62:HDMI-A-2]
[  298.701176] [drm:intel_atomic_commit_tail] [CRTC:51:pipe C]
[  298.772307] [drm:drm_atomic_state_default_clear] Clearing atomic state ffff88011e649c00
[  298.772334] [drm:__drm_atomic_state_free] Freeing atomic state ffff88011e649c00
[  298.772432] [drm:drm_atomic_state_init] Allocated atomic state ffff88011e649c00
[  298.772455] [drm:drm_atomic_get_crtc_state] Added [CRTC:51:pipe C] ffff880142597000 state to ffff88011e649c00
[  298.772473] [drm:drm_atomic_check_only] checking ffff88011e649c00
[  298.772491] [drm:drm_atomic_commit] commiting ffff88011e649c00
[  298.789166] [drm:drm_atomic_state_default_clear] Clearing atomic state ffff88011e649c00
[  298.789187] [drm:__drm_atomic_state_free] Freeing atomic state ffff88011e649c00
[  299.984622] [drm:drm_atomic_state_init] Allocated atomic state ffff88011e649800
[  299.984646] [drm:drm_atomic_get_plane_state] Added [PLANE:49:cursor C] ffff88017a0ff3c0 state to ffff88011e649800
[  299.984666] [drm:drm_atomic_get_crtc_state] Added [CRTC:51:pipe C] ffff880142591800 state to ffff88011e649800
[  299.984677] [drm:drm_atomic_set_crtc_for_plane] Link plane state ffff88017a0ff3c0 to [CRTC:51:pipe C]
[  299.984689] [drm:drm_atomic_set_fb_for_plane] Set [FB:103] for plane state ffff88017a0ff3c0
[  299.984700] [drm:drm_atomic_check_only] checking ffff88011e649800
[  299.984731] [drm:intel_plane_atomic_calc_changes] [CRTC:51:pipe C] has [PLANE:49:cursor C] with fb 103
[  299.984745] [drm:intel_plane_atomic_calc_changes] [PLANE:49:cursor C] visible 0 -> 1, off 0, on 1, ms 0
[  299.984758] [drm:drm_atomic_commit] commiting ffff88011e649800
[  299.985244] [drm:vlv_pipe_set_fifo_size.isra.24] Pipe C FIFO split 511 / 511 / 511
[  299.985276] [drm:vlv_update_wm] Setting FIFO watermarks - C: plane=391, cursor=0, sprite0=0, sprite1=0, SR: plane=0, cursor=0 level=1 cxsr=0
[  299.985348] [drm:drm_atomic_state_default_clear] Clearing atomic state ffff88011e649800
[  299.985365] [drm:__drm_atomic_state_free] Freeing atomic state ffff88011e649800
[  299.986495] [drm:drm_atomic_set_fb_for_plane] Set [FB:103] for plane state ffff88017a0fff00
[  299.986518] [drm:intel_plane_atomic_calc_changes] [CRTC:51:pipe C] has [PLANE:49:cursor C] with fb 103
[  299.986532] [drm:intel_plane_atomic_calc_changes] [PLANE:49:cursor C] visible 1 -> 1, off 0, on 0, ms 0
[  299.986797] [drm:drm_atomic_set_fb_for_plane] Set [FB:103] for plane state ffff88017a0fff00
[  299.986817] [drm:intel_check_cursor_plane] CHV cursor C not allowed to straddle the left screen edge
[  299.986849] [drm:drm_atomic_state_init] Allocated atomic state ffff88011e649800
[  299.986867] [drm:drm_atomic_get_plane_state] Added [PLANE:49:cursor C] ffff88017a0ffd80 state to ffff88011e649800
[  299.986884] [drm:drm_atomic_get_crtc_state] Added [CRTC:51:pipe C] ffff880142597000 state to ffff88011e649800
[  299.986894] [drm:drm_atomic_set_crtc_for_plane] Link plane state ffff88017a0ffd80 to [NOCRTC]
[  299.986904] [drm:drm_atomic_set_fb_for_plane] Set [NOFB] for plane state ffff88017a0ffd80
[  299.986915] [drm:drm_atomic_check_only] checking ffff88011e649800
[  299.986936] [drm:intel_plane_atomic_calc_changes] [CRTC:51:pipe C] has [PLANE:49:cursor C] with fb -1
[  299.986950] [drm:intel_plane_atomic_calc_changes] [PLANE:49:cursor C] visible 1 -> 0, off 1, on 0, ms 0
[  299.986961] [drm:drm_atomic_commit] commiting ffff88011e649800
[  299.987058] [drm:vlv_pipe_set_fifo_size.isra.24] Pipe C FIFO split 511 / 511 / 511
[  299.987086] [drm:vlv_update_wm] Setting FIFO watermarks - C: plane=391, cursor=63, sprite0=0, sprite1=0, SR: plane=0, cursor=0 level=1 cxsr=0
[  299.987168] [drm:drm_atomic_state_default_clear] Clearing atomic state ffff88011e649800
[  299.987184] [drm:__drm_atomic_state_free] Freeing atomic state ffff88011e649800
[  299.997801] [drm:drm_atomic_state_init] Allocated atomic state ffff88011389c400
[  299.997847] [drm:drm_atomic_get_crtc_state] Added [CRTC:51:pipe C] ffff88011e6f4800 state to ffff88011389c400
[  299.997860] [drm:drm_atomic_check_only] checking ffff88011389c400
[  299.997877] [drm:drm_atomic_commit] commiting ffff88011389c400
[  300.005754] [drm:drm_atomic_state_default_clear] Clearing atomic state ffff88011389c400
[  300.005782] [drm:__drm_atomic_state_free] Freeing atomic state ffff88011389c400
[  300.013632] [drm:drm_mode_addfb2] [FB:111]
[  300.026425] [drm:drm_atomic_state_init] Allocated atomic state ffff88011389f400
[  300.026446] [drm:drm_atomic_get_crtc_state] Added [CRTC:51:pipe C] ffff88011e6f1800 state to ffff88011389f400
[  300.026451] [drm:drm_atomic_check_only] checking ffff88011389f400
[  300.026461] [drm:drm_atomic_commit] commiting ffff88011389f400
[  300.038797] [drm:drm_atomic_state_default_clear] Clearing atomic state ffff88011389f400
[  300.038807] [drm:__drm_atomic_state_free] Freeing atomic state ffff88011389f400
Comment 27 Elizabeth 2017-12-20 23:36:50 UTC
Hello Jaar, 
Could you attach new dmesg with the latest kernel with debug info to verify that the issue is the same or if there is any other? drm.debug=0x1e log_bug_len=2M(or bigger) on grub.
Thank you.
Comment 28 jaar 2018-01-20 13:51:25 UTC
Created attachment 136867 [details]
dmesg: drm.debug=0x1e log_bug_len=8M
Comment 29 jaar 2018-01-20 13:52:02 UTC
Created attachment 136868 [details]
dmesg: drm.debug=0x1e log_bug_len=8M
Comment 30 jaar 2018-01-20 13:58:53 UTC
hello Elizabeth,

today i had again several freezes while watching the same HEVC video using VLC3-git (vlc settings: opengl+vaapi)
i guess the freezes are always somewhow related to opengl and or vaapi as avidemux caused a freeze as well in the past.

the following output appears always directly after booting kernel 4.14.14 and may or may not be related: 

2018-01-20T13:23:56+01:00  kernel: ------------[ cut here ]------------
2018-01-20T13:23:56+01:00  kernel: WARNING: CPU: 2 PID: 4066 at drivers/gpu/drm/i915/i915_irq.c:151 gen5_assert_iir_is_zero+0x26/0x70 [i915]
2018-01-20T13:23:56+01:00  kernel: Modules linked in: btrtl acpi_cpufreq(-) btbcm x86_pkg_temp_thermal intel_powerclamp btintel coretemp bluetooth ecdh_generic i915(+) rfkill kvm_intel kvm iosf_mbi intel_gtt irqbypass snd_hda_intel i2c_algo_bit snd_hda_codec crct10dif_pclmul crc32c_intel drm_kms_helper snd_hda_core syscopyarea snd_hwdep sysfillrect sysimgblt pcspkr fb_sys_fops ghash_clmulni_intel snd_pcm drm i2c_i801 snd_timer snd i2c_core thermal fan button battery video aesni_intel crypto_simd glue_helper cryptd aes_x86_64 libiscsi scsi_transport_iscsi tg3 ptp pps_core libphy sky2 r8169 pcnet32 mii e1000 bnx2 fuse nfs lockd grace sunrpc multipath linear raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 dm_snapshot dm_bufio dm_crypt dm_mirror dm_region_hash dm_log dm_mod
2018-01-20T13:23:56+01:00  kernel: hid_sunplus hid_sony led_class hid_samsung hid_pl hid_petalynx hid_gyration sl811_hcd usbhid usb_storage aic94xx libsas lpfc crc_t10dif crct10dif_common qla2xxx megaraid_sas megaraid_mbox megaraid_mm megaraid aacraid sx8 DAC960 3w_9xxx 3w_xxxx mptsas scsi_transport_sas mptfc scsi_transport_fc mptspi mptscsih mptbase atp870u dc395x qla1280 imm parport dmx3191d sym53c8xx gdth initio BusLogic arcmsr aic7xxx aic79xx scsi_transport_spi sg pdc_adma sata_inic162x sata_mv ata_piix ahci libahci sata_qstor sata_vsc sata_uli sata_sis sata_sx4 sata_nv sata_via sata_svw sata_sil24 sata_sil sata_promise pata_sl82c105 pata_via pata_jmicron pata_marvell pata_sis pata_netcell pata_pdc202xx_old pata_triflex pata_atiixp pata_opti pata_amd pata_ali pata_it8213 pata_pcmcia pcmcia pcmcia_core pata_ns87415
2018-01-20T13:23:56+01:00  kernel: pata_ns87410 pata_serverworks pata_artop pata_it821x pata_optidma pata_hpt3x2n pata_hpt3x3 pata_hpt37x pata_hpt366 pata_cmd64x pata_efar pata_rz1000 pata_sil680 pata_radisys pata_pdc2027x pata_mpiix libata
2018-01-20T13:23:56+01:00  kernel: CPU: 2 PID: 4066 Comm: modprobe Tainted: G     U     O    4.14.14-gentoo #1
2018-01-20T13:23:56+01:00  kernel: Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./J4205-ITX, BIOS P1.40 07/14/2017
2018-01-20T13:23:56+01:00  kernel: task: ffff88046f44e800 task.stack: ffffc90000258000
2018-01-20T13:23:56+01:00  kernel: RIP: 0010:gen5_assert_iir_is_zero+0x26/0x70 [i915]
2018-01-20T13:23:56+01:00  kernel: RSP: 0018:ffffc9000025bad0 EFLAGS: 00010086
2018-01-20T13:23:56+01:00  kernel: RAX: 0000000000000032 RBX: ffff88046c5e0000 RCX: 000000000000028e
2018-01-20T13:23:56+01:00  kernel: RDX: 0000000000000001 RSI: 0000000000000002 RDI: ffffffff81ee6ecc
2018-01-20T13:23:56+01:00  kernel: RBP: 0000000000044418 R08: 000000083b1272f6 R09: ffffffff81eeed5c
2018-01-20T13:23:56+01:00  kernel: R10: 0000000000000000 R11: 0000000000000054 R12: 0000000000044418
2018-01-20T13:23:56+01:00  kernel: R13: 0000000000000006 R14: 0000000000044414 R15: ffff88046b32b660
2018-01-20T13:23:56+01:00  kernel: FS:  00007fb1e983f700(0000) GS:ffff88047fd00000(0000) knlGS:0000000000000000
2018-01-20T13:23:56+01:00  kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
2018-01-20T13:23:56+01:00  kernel: CR2: 00005602f6f17730 CR3: 000000046beac000 CR4: 00000000003406e0
2018-01-20T13:23:56+01:00  kernel: Call Trace:
2018-01-20T13:23:56+01:00  kernel: gen8_irq_power_well_post_enable+0x44/0xa6 [i915]
2018-01-20T13:23:56+01:00  kernel: intel_power_well_enable+0x30/0x37 [i915]
2018-01-20T13:23:56+01:00  kernel: __intel_display_power_get_domain+0x67/0x7e [i915]
2018-01-20T13:23:56+01:00  kernel: intel_display_power_get+0x2a/0x35 [i915]
2018-01-20T13:23:56+01:00  kernel: intel_display_set_init_power+0x1f/0x30 [i915]
2018-01-20T13:23:56+01:00  kernel: intel_power_domains_init_hw+0x4a8/0x535 [i915]
2018-01-20T13:23:56+01:00  kernel: i915_driver_load+0x1123/0x1379 [i915]
2018-01-20T13:23:56+01:00  kernel: pci_device_probe+0xb1/0x123
2018-01-20T13:23:56+01:00  kernel: driver_probe_device+0x12a/0x280
2018-01-20T13:23:56+01:00  kernel: __driver_attach+0x65/0x85
2018-01-20T13:23:56+01:00  kernel: ? driver_probe_device+0x280/0x280
2018-01-20T13:23:56+01:00  kernel: bus_for_each_dev+0x61/0x78
2018-01-20T13:23:56+01:00  kernel: bus_add_driver+0xe1/0x1c6
2018-01-20T13:23:56+01:00  kernel: driver_register+0x7d/0xaf
2018-01-20T13:23:56+01:00  kernel: ? 0xffffffffa0a3e000
2018-01-20T13:23:56+01:00  kernel: do_one_initcall+0x84/0x118
2018-01-20T13:23:56+01:00  kernel: do_init_module+0x51/0x1d3
2018-01-20T13:23:56+01:00  kernel: load_module+0x1ae8/0x2042
2018-01-20T13:23:56+01:00  kernel: ? show_coresize+0x1c/0x1c
2018-01-20T13:23:56+01:00  kernel: ? vfs_read+0xee/0xfa
2018-01-20T13:23:56+01:00  kernel: ? SyS_finit_module+0x78/0x83
2018-01-20T13:23:56+01:00  kernel: SyS_finit_module+0x78/0x83
2018-01-20T13:23:56+01:00  kernel: entry_SYSCALL_64_fastpath+0x19/0x72
2018-01-20T13:23:56+01:00  kernel: RIP: 0033:0x7fb1e917a049
2018-01-20T13:23:56+01:00  kernel: RSP: 002b:00007ffcc669a988 EFLAGS: 00000246
2018-01-20T13:23:56+01:00  kernel: Code: 58 5d 41 5c c3 55 ba 01 00 00 00 53 89 f5 48 89 fb ff 97 40 07 00 00 85 c0 74 57 89 c2 89 ee 48 c7 c7 a9 a4 bf a0 e8 65 f5 51 e0 <0f> ff b9 01 00 00 00 89 ee 48 89 df 83 ca ff ff 93 60 07 00 00 
2018-01-20T13:23:56+01:00  kernel: ---[ end trace 02ab802fed741299 ]---

as requested i have uploaded two files: output of dmesg with kernelparamters drm.debug=0x1e log_bug_len=8M

i increased log_bug_len from =2M to =8M but there seems to be no difference
Comment 31 Elizabeth 2018-01-22 20:39:05 UTC
(In reply to jaar from comment #30)
> hello Elizabeth,
> 
> today i had again several freezes while watching the same HEVC video using
> VLC3-git (vlc settings: opengl+vaapi)
> i guess the freezes are always somewhow related to opengl and or vaapi as
> avidemux caused a freeze as well in the past.
> 
> the following output appears always directly after booting kernel 4.14.14
> and may or may not be related...
Looks familiar, could you please attach kern.log, also what mesa version and vaapi are you using, could you give it a try to Mesa 17.3 with latest kernel?
Thanks.
Comment 32 jaar 2018-01-28 15:51:54 UTC
hello Elizabeth,

now i am on kernel 4.14.15-gentoo

i have mesa-17.2.8 installed.
as mesa-17.3.3 is masked and mesa-18.0 is only rc2 i prefer to keep 17.2.8 installed for now.

x11-drivers/xf86-video-intel-2.99.917_p20171018
x11-libs/libva-2.0.0
x11-libs/libva-intel-driver-2.0.0-r1

libva info: VA-API version 1.0.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/va/drivers/i965_drv_video.so
libva info: Found init function __vaDriverInit_1_0
libva info: va_openDriver() returns 0
vainfo: VA-API version: 1.0 (libva 2.0.0)
vainfo: Driver version: Intel i965 driver for Intel(R) Broxton - 2.0.0

kern.log:
2018-01-28T15:51:41+01:00 kernel: xhci_hcd 0000:00:15.0: WARN Event TRB for slot 2 ep 10 with no TDs queued?
2018-01-28T16:18:39+01:00 kernel: xhci_hcd 0000:00:15.0: WARN Event TRB for slot 4 ep 8 with no TDs queued?
2018-01-28T16:31:56+01:00 kernel: sdc: detected capacity change from 64172851200 to 0
2018-01-28T16:31:56+01:00 kernel: Thunar[22171]: segfault at 18 ip 000055903014cc25 sp 00007ffc4d4df990 error 4 in thunar[5590300d6000+cf000]
2018-01-28T16:35:15+01:00 kernel: ahci 0000:00:12.0: AHCI 0001.0301 32 slots 2 ports 6 Gbps 0x3 impl SATA mode
2018-01-28T16:35:15+01:00 kernel: ahci 0000:00:12.0: flags: 64bit ncq sntf clo only pmp pio slum part deso sadm sds apst 
2018-01-28T16:35:15+01:00 kernel: scsi host0: ahci
2018-01-28T16:35:15+01:00 kernel: scsi host1: ahci
2018-01-28T16:35:15+01:00 kernel: ata1: SATA max UDMA/133 abar m2048@0x91317000 port 0x91317100 irq 125
2018-01-28T16:35:15+01:00 kernel: ata2: SATA max UDMA/133 abar m2048@0x91317000 port 0x91317180 irq 125
2018-01-28T16:35:15+01:00 kernel: ahci 0000:03:00.0: SSS flag set, parallel bus scan disabled
2018-01-28T16:35:15+01:00 kernel: ahci 0000:03:00.0: AHCI 0001.0200 32 slots 2 ports 6 Gbps 0x3 impl SATA mode
2018-01-28T16:35:15+01:00 kernel: ahci 0000:03:00.0: flags: 64bit ncq sntf stag led clo pmp pio slum part ccc 
2018-01-28T16:35:15+01:00 kernel: scsi host2: ahci
2018-01-28T16:35:15+01:00 kernel: scsi host3: ahci
2018-01-28T16:35:15+01:00 kernel: ata3: SATA max UDMA/133 abar m512@0x91100000 port 0x91100100 irq 126
2018-01-28T16:35:15+01:00 kernel: ata4: SATA max UDMA/133 abar m512@0x91100000 port 0x91100180 irq 126
2018-01-28T16:35:15+01:00 kernel: usb 1-2.2: new full-speed USB device number 4 using xhci_hcd
2018-01-28T16:35:15+01:00 kernel: ata2: SATA link down (SStatus 4 SControl 300)
2018-01-28T16:35:15+01:00 kernel: ata3: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
2018-01-28T16:35:15+01:00 kernel: ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
2018-01-28T16:35:15+01:00 kernel: ata3.00: ATA-10: max UDMA/133
2018-01-28T16:35:15+01:00 kernel: ata1.00: supports DRM functions and may not be fully accessible
2018-01-28T16:35:15+01:00 kernel: ata1.00: NCQ Send/Recv Log not supported
2018-01-28T16:35:15+01:00 kernel: ata1.00: ATA-9: max UDMA/133
2018-01-28T16:35:15+01:00 kernel: ata1.00: supports DRM functions and may not be fully accessible
2018-01-28T16:35:15+01:00 kernel: ata1.00: NCQ Send/Recv Log not supported
2018-01-28T16:35:15+01:00 kernel: ata1.00: configured for UDMA/133
2018-01-28T16:35:15+01:00 kernel: scsi 0:0:0:0: Direct-Access   ATA
2018-01-28T16:35:15+01:00 kernel: sd 0:0:0:0: [sda] Write Protect is off
2018-01-28T16:35:15+01:00 kernel: sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
2018-01-28T16:35:15+01:00 kernel: sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
2018-01-28T16:35:15+01:00 kernel: ata3.00: configured for UDMA/133
2018-01-28T16:35:15+01:00 kernel: scsi 2:0:0:0: Direct-Access   ATA
2018-01-28T16:35:15+01:00 kernel: sd 2:0:0:0: [sdb] Write Protect is off
2018-01-28T16:35:15+01:00 kernel: sd 2:0:0:0: [sdb] Mode Sense: 00 3a 00 00
2018-01-28T16:35:15+01:00 kernel: sd 2:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
2018-01-28T16:35:15+01:00 kernel: sda: sda1 sda2
2018-01-28T16:35:15+01:00 kernel: sd 0:0:0:0: [sda] Attached SCSI disk
2018-01-28T16:35:15+01:00 kernel: usb 1-4: new high-speed USB device number 5 using xhci_hcd
2018-01-28T16:35:15+01:00 kernel: sd 2:0:0:0: [sdb] Attached SCSI disk
2018-01-28T16:35:15+01:00 kernel: ata4: SATA link down (SStatus 0 SControl 300)
2018-01-28T16:35:15+01:00 kernel: sd 0:0:0:0: Attached scsi generic sg0 type 0
2018-01-28T16:35:15+01:00 kernel: sd 2:0:0:0: Attached scsi generic sg1 type 0
2018-01-28T16:35:15+01:00 kernel: scsi: <fdomain> Detection failed (no card)
2018-01-28T16:35:15+01:00 kernel: GDT-HA: Storage RAID Controller Driver. Version: 3.05
2018-01-28T16:35:15+01:00 kernel: imm: Version 2.05 (for Linux 2.4.0)
2018-01-28T16:35:15+01:00 kernel: Fusion MPT base driver 3.04.20
2018-01-28T16:35:15+01:00 kernel: Copyright (c) 1999-2008 LSI Corporation
2018-01-28T16:35:15+01:00 kernel: Fusion MPT SPI Host driver 3.04.20
2018-01-28T16:35:15+01:00 kernel: Fusion MPT FC Host driver 3.04.20
2018-01-28T16:35:15+01:00 kernel: Fusion MPT SAS Host driver 3.04.20
2018-01-28T16:35:15+01:00 kernel: 3ware Storage Controller device driver for Linux v1.26.02.003.
2018-01-28T16:35:15+01:00 kernel: 3ware 9000 Storage Controller device driver for Linux v2.26.02.014.
2018-01-28T16:35:15+01:00 kernel: Adaptec aacraid driver 1.2.1[50834]-custom
2018-01-28T16:35:15+01:00 kernel: megaraid cmm: 2.20.2.7 (Release Date: Sun Jul 16 00:01:03 EST 2006)
2018-01-28T16:35:15+01:00 kernel: megaraid: 2.20.5.1 (Release Date: Thu Nov 16 15:32:35 EST 2006)
2018-01-28T16:35:15+01:00 kernel: megasas: 07.702.06.00-rc1
2018-01-28T16:35:15+01:00 kernel: qla2xxx [0000:00:00.0]-0005: : QLogic Fibre Channel HBA Driver: 10.00.00.01-k.
2018-01-28T16:35:15+01:00 kernel: Emulex LightPulse Fibre Channel SCSI driver 11.4.0.3
2018-01-28T16:35:15+01:00 kernel: Copyright (C) 2017 Broadcom. All Rights Reserved. The term "Broadcom" refers to Broadcom Limited and/or its subsidiaries.
2018-01-28T16:35:15+01:00 kernel: aic94xx: Adaptec aic94xx SAS/SATA driver version 1.0.3 loaded
2018-01-28T16:35:15+01:00 kernel: usbcore: registered new interface driver usb-storage
2018-01-28T16:35:15+01:00 kernel: usbcore: registered new interface driver usbhid
2018-01-28T16:35:15+01:00 kernel: usbhid: USB HID core driver
2018-01-28T16:35:15+01:00 kernel: device-mapper: uevent: version 1.0.3
2018-01-28T16:35:15+01:00 kernel: device-mapper: ioctl: 4.37.0-ioctl (2017-09-20) initialised: dm-devel@redhat.com
2018-01-28T16:35:15+01:00 kernel: raid6: sse2x1  gen() 4971 MB/s
2018-01-28T16:35:15+01:00 kernel: raid6: sse2x1  xor() 3048 MB/s
2018-01-28T16:35:15+01:00 kernel: raid6: sse2x2  gen() 5709 MB/s
2018-01-28T16:35:15+01:00 kernel: raid6: sse2x2  xor() 3622 MB/s
2018-01-28T16:35:15+01:00 kernel: raid6: sse2x4  gen() 6728 MB/s
2018-01-28T16:35:15+01:00 kernel: raid6: sse2x4  xor() 2668 MB/s
2018-01-28T16:35:15+01:00 kernel: raid6: using algorithm sse2x4 gen() 6728 MB/s
2018-01-28T16:35:15+01:00 kernel: raid6: .... xor() 2668 MB/s, rmw enabled
2018-01-28T16:35:15+01:00 kernel: raid6: using ssse3x2 recovery algorithm
2018-01-28T16:35:15+01:00 kernel: async_tx: api initialized (async)
2018-01-28T16:35:15+01:00 kernel: xor: measuring software checksum speed
2018-01-28T16:35:15+01:00 kernel: prefetch64-sse: 8672.400 MB/sec
2018-01-28T16:35:15+01:00 kernel: generic_sse: 7838.400 MB/sec
2018-01-28T16:35:15+01:00 kernel: xor: using function: prefetch64-sse (8672.400 MB/sec)
2018-01-28T16:35:15+01:00 kernel: RPC: Registered named UNIX socket transport module.
2018-01-28T16:35:15+01:00 kernel: RPC: Registered udp transport module.
2018-01-28T16:35:15+01:00 kernel: RPC: Registered tcp transport module.
2018-01-28T16:35:15+01:00 kernel: RPC: Registered tcp NFSv4.1 backchannel transport module.
2018-01-28T16:35:15+01:00 kernel: fuse init (API version 7.26)
2018-01-28T16:35:15+01:00 kernel: e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
2018-01-28T16:35:15+01:00 kernel: e1000: Copyright (c) 1999-2006 Intel Corporation.
2018-01-28T16:35:15+01:00 kernel: pcnet32: pcnet32.c:v1.35 21.Apr.2008 tsbogend@alpha.franken.de
2018-01-28T16:35:15+01:00 kernel: r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
2018-01-28T16:35:15+01:00 kernel: r8169 0000:01:00.0 eth0: RTL8168g/8111g at 0xffffc90000081000, 70:85:c2:34:55:c9, XID 0c000800 IRQ 127
2018-01-28T16:35:15+01:00 kernel: r8169 0000:01:00.0 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
2018-01-28T16:35:15+01:00 kernel: sky2: driver version 1.30
2018-01-28T16:35:15+01:00 kernel: pps_core: LinuxPPS API ver. 1 registered
2018-01-28T16:35:15+01:00 kernel: pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
2018-01-28T16:35:15+01:00 kernel: PTP clock support registered
2018-01-28T16:35:15+01:00 kernel: Loading iSCSI transport class v2.0-870.
2018-01-28T16:35:15+01:00 kernel: SSE version of gcm_enc/dec engaged.
2018-01-28T16:35:15+01:00 kernel: EXT4-fs (sda2): INFO: recovery required on readonly filesystem
2018-01-28T16:35:15+01:00 kernel: EXT4-fs (sda2): write access will be enabled during recovery
2018-01-28T16:35:15+01:00 kernel: random: crng init done
2018-01-28T16:35:15+01:00 kernel: EXT4-fs (sda2): recovery complete
2018-01-28T16:35:15+01:00 kernel: EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: (null)
2018-01-28T16:35:15+01:00 kernel: input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input2
2018-01-28T16:35:15+01:00 kernel: ACPI: Power Button [PWRB]
2018-01-28T16:35:15+01:00 kernel: input: PC Speaker as /devices/platform/pcspkr/input/input3
2018-01-28T16:35:15+01:00 kernel: i801_smbus 0000:00:1f.1: can't derive routing for PCI INT A
2018-01-28T16:35:15+01:00 kernel: i801_smbus 0000:00:1f.1: PCI INT A: not connected
2018-01-28T16:35:15+01:00 kernel: i801_smbus 0000:00:1f.1: SPD Write Disable is set
2018-01-28T16:35:15+01:00 kernel: i801_smbus 0000:00:1f.1: SMBus using polling
2018-01-28T16:35:15+01:00 kernel: (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
2018-01-28T16:35:15+01:00 kernel: thermal LNXTHERM:00: registered as thermal_zone0
2018-01-28T16:35:15+01:00 kernel: ACPI: Thermal Zone [TZ01] (54 C)
2018-01-28T16:35:15+01:00 kernel: Setting dangerous option enable_fbc - tainting kernel
2018-01-28T16:35:15+01:00 kernel: [drm] Memory usable by graphics device = 4096M
2018-01-28T16:35:15+01:00 kernel: [drm] Replacing VGA console driver
2018-01-28T16:35:15+01:00 kernel: Console: switching to colour dummy device 80x25
2018-01-28T16:35:15+01:00 kernel: [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
2018-01-28T16:35:15+01:00 kernel: [drm] Driver supports precise vblank timestamp query.
2018-01-28T16:35:15+01:00 kernel: i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
2018-01-28T16:35:15+01:00 kernel: Interrupt register 0x44418 is not zero: 0x00000001
2018-01-28T16:35:15+01:00 kernel: ------------[ cut here ]------------
2018-01-28T16:35:15+01:00 kernel: WARNING: CPU: 1 PID: 3962 at drivers/gpu/drm/i915/i915_irq.c:151 gen5_assert_iir_is_zero+0x26/0x70 [i915]
2018-01-28T16:35:15+01:00 kernel: Modules linked in: coretemp(+) i915(+) kvm_intel iosf_mbi intel_gtt kvm i2c_algo_bit irqbypass drm_kms_helper snd_hda_intel snd_hda_codec syscopyarea snd_hda_core sysfillrect snd_hwdep sysimgblt crct10dif_pclmul fb_sys_fops snd_pcm crc32c_intel snd_timer ghash_clmulni_intel drm i2c_i801 snd pcspkr i2c_core thermal fan button battery video aesni_intel crypto_simd glue_helper cryptd aes_x86_64 libiscsi scsi_transport_iscsi tg3 ptp pps_core libphy sky2 r8169 pcnet32 mii e1000 bnx2 fuse nfs lockd grace sunrpc multipath linear raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 dm_snapshot dm_bufio dm_crypt dm_mirror dm_region_hash dm_log dm_mod hid_sunplus hid_sony led_class hid_samsung hid_pl hid_petalynx hid_gyration sl811_hcd usbhid usb_storage
2018-01-28T16:35:15+01:00 kernel: aic94xx libsas lpfc crc_t10dif crct10dif_common qla2xxx megaraid_sas megaraid_mbox megaraid_mm megaraid aacraid sx8 DAC960 3w_9xxx 3w_xxxx mptsas scsi_transport_sas mptfc scsi_transport_fc mptspi mptscsih mptbase atp870u dc395x qla1280 imm parport dmx3191d sym53c8xx gdth initio BusLogic arcmsr aic7xxx aic79xx scsi_transport_spi sg pdc_adma sata_inic162x sata_mv ata_piix ahci libahci sata_qstor sata_vsc sata_uli sata_sis sata_sx4 sata_nv sata_via sata_svw sata_sil24 sata_sil sata_promise pata_sl82c105 pata_via pata_jmicron pata_marvell pata_sis pata_netcell pata_pdc202xx_old pata_triflex pata_atiixp pata_opti pata_amd pata_ali pata_it8213 pata_pcmcia pcmcia pcmcia_core pata_ns87415 pata_ns87410 pata_serverworks pata_artop pata_it821x pata_optidma pata_hpt3x2n pata_hpt3x3 pata_hpt37x pata_hpt366
2018-01-28T16:35:15+01:00 kernel: pata_cmd64x pata_efar pata_rz1000 pata_sil680 pata_radisys pata_pdc2027x pata_mpiix libata
2018-01-28T16:35:15+01:00 kernel: CPU: 1 PID: 3962 Comm: modprobe Tainted: G   U     4.14.15-gentoo #1
2018-01-28T16:35:15+01:00 kernel: Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M.
2018-01-28T16:35:15+01:00 kernel: task: ffff88046f670c00 task.stack: ffffc90001108000
2018-01-28T16:35:15+01:00 kernel: RIP: 0010:gen5_assert_iir_is_zero+0x26/0x70 [i915]
2018-01-28T16:35:15+01:00 kernel: RSP: 0018:ffffc9000110bad0 EFLAGS: 00010086
2018-01-28T16:35:15+01:00 kernel: RAX: 0000000000000032 RBX: ffff88046f7b8000 RCX: 000000000000028a
2018-01-28T16:35:15+01:00 kernel: RDX: 0000000000000001 RSI: 0000000000000002 RDI: ffffffff81ee6ecc
2018-01-28T16:35:15+01:00 kernel: RBP: 0000000000044418 R08: 00000007fc47918a R09: ffffffff81eeec8c
2018-01-28T16:35:15+01:00 kernel: R10: 0000000000000000 R11: 0000000000000054 R12: 0000000000044418
2018-01-28T16:35:15+01:00 kernel: R13: 0000000000000006 R14: 0000000000044414 R15: ffff88046f5bdbc0
2018-01-28T16:35:15+01:00 kernel: FS: 00007f59ffb14700(0000) GS:ffff88047fc80000(0000) knlGS:0000000000000000
2018-01-28T16:35:15+01:00 kernel: CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
2018-01-28T16:35:15+01:00 kernel: CR2: 00007f566c2ef820 CR3: 000000046f38e000 CR4: 00000000003406e0
2018-01-28T16:35:15+01:00 kernel: Call Trace:
2018-01-28T16:35:15+01:00 kernel: gen8_irq_power_well_post_enable+0x44/0xa6 [i915]
2018-01-28T16:35:15+01:00 kernel: intel_power_well_enable+0x30/0x37 [i915]
2018-01-28T16:35:15+01:00 kernel: __intel_display_power_get_domain+0x67/0x7e [i915]
2018-01-28T16:35:15+01:00 kernel: intel_display_power_get+0x2a/0x35 [i915]
2018-01-28T16:35:15+01:00 kernel: intel_display_set_init_power+0x1f/0x30 [i915]
2018-01-28T16:35:15+01:00 kernel: intel_power_domains_init_hw+0x4a8/0x535 [i915]
2018-01-28T16:35:15+01:00 kernel: i915_driver_load+0x1123/0x1379 [i915]
2018-01-28T16:35:15+01:00 kernel: pci_device_probe+0xb1/0x123
2018-01-28T16:35:15+01:00 kernel: driver_probe_device+0x12a/0x280
2018-01-28T16:35:15+01:00 kernel: __driver_attach+0x65/0x85
2018-01-28T16:35:15+01:00 kernel: ? driver_probe_device+0x280/0x280
2018-01-28T16:35:15+01:00 kernel: bus_for_each_dev+0x61/0x78
2018-01-28T16:35:15+01:00 kernel: bus_add_driver+0xe1/0x1c6
2018-01-28T16:35:15+01:00 kernel: driver_register+0x7d/0xaf
2018-01-28T16:35:15+01:00 kernel: ? 0xffffffffa0b44000
2018-01-28T16:35:15+01:00 kernel: do_one_initcall+0x84/0x118
2018-01-28T16:35:15+01:00 kernel: do_init_module+0x51/0x1d3
2018-01-28T16:35:15+01:00 kernel: load_module+0x1ae8/0x2042
2018-01-28T16:35:15+01:00 kernel: ? show_coresize+0x1c/0x1c
2018-01-28T16:35:15+01:00 kernel: ? vfs_read+0xee/0xfa
2018-01-28T16:35:15+01:00 kernel: ? SyS_finit_module+0x78/0x83
2018-01-28T16:35:15+01:00 kernel: SyS_finit_module+0x78/0x83
2018-01-28T16:35:15+01:00 kernel: entry_SYSCALL_64_fastpath+0x19/0x72
2018-01-28T16:35:15+01:00 kernel: RIP: 0033:0x7f59ff456049
2018-01-28T16:35:15+01:00 kernel: RSP: 002b:00007fffe4be2c08 EFLAGS: 00000246
2018-01-28T16:35:15+01:00 kernel: Code: 58 5d 41 5c c3 55 ba 01 00 00 00 53 89 f5 48 89 fb ff 97 40 07 00 00 85 c0 74 57 89 c2 89 ee 48 c7 c7 a9 04 ae a0 e8 68 95 63 e0 <0f> ff b9 01 00 00 00 89 ee 48 89 df 83 ca ff ff 93 60 07 00 00 
2018-01-28T16:35:15+01:00 kernel: ---[ end trace 1119b7377a8fbe58 ]---
2018-01-28T16:35:15+01:00 kernel: [drm] Finished loading DMC firmware i915/bxt_dmc_ver1_07.bin (v1.7)
2018-01-28T16:35:15+01:00 kernel: Linux video capture interface: v2.00
2018-01-28T16:35:15+01:00 kernel: [drm] Initialized i915 1.6.0 20170818 for 0000:00:02.0 on minor 0
2018-01-28T16:35:15+01:00 kernel: ACPI: Video Device [GFX0] (multi-head: yes rom: no post: no)
2018-01-28T16:35:15+01:00 kernel: acpi device:10: registered as cooling_device6
2018-01-28T16:35:15+01:00 kernel: input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input4
2018-01-28T16:35:15+01:00 kernel: vboxdrv: loading out-of-tree module taints kernel.
2018-01-28T16:35:15+01:00 kernel: Bluetooth: Core ver 2.22
2018-01-28T16:35:15+01:00 kernel: NET: Registered protocol family 31
2018-01-28T16:35:15+01:00 kernel: Bluetooth: HCI device and connection manager initialized
2018-01-28T16:35:15+01:00 kernel: Bluetooth: HCI socket layer initialized
2018-01-28T16:35:15+01:00 kernel: Bluetooth: L2CAP socket layer initialized
2018-01-28T16:35:15+01:00 kernel: Bluetooth: SCO socket layer initialized
2018-01-28T16:35:15+01:00 kernel: vboxdrv: Found 4 processor cores
2018-01-28T16:35:15+01:00 kernel: usbcore: registered new interface driver btusb
2018-01-28T16:35:15+01:00 kernel: vboxdrv: TSC mode is Invariant, tentative frequency 1497599791 Hz
2018-01-28T16:35:15+01:00 kernel: vboxdrv: Successfully loaded version 5.2.6 (interface 0x00290000)
2018-01-28T16:35:15+01:00 kernel: VBoxNetFlt: Successfully started.
2018-01-28T16:35:15+01:00 kernel: VBoxNetAdp: Successfully started.
2018-01-28T16:35:15+01:00 kernel: VBoxPciLinuxInit
2018-01-28T16:35:15+01:00 kernel: vboxpci: pci-stub module not available, cannot detach PCI devices
2018-01-28T16:35:15+01:00 kernel: vboxpci: IOMMU not found (not compiled)
2018-01-28T16:35:15+01:00 kernel: snd_hda_intel 0000:00:0e.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
2018-01-28T16:35:15+01:00 kernel: fbcon: inteldrmfb (fb0) is primary device
2018-01-28T16:35:15+01:00 kernel: Console: switching to colour frame buffer device 240x67
2018-01-28T16:35:15+01:00 kernel: i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC892: line_outs=3 (0x14/0x15/0x16/0x0/0x0) type:line
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0:  speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0:  hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0:  mono: mono_out=0x0
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0:  dig-out=0x1e/0x0
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0:  inputs:
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0:   Front Mic=0x19
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0:   Rear Mic=0x18
2018-01-28T16:35:15+01:00 kernel: snd_hda_codec_realtek hdaudioC0D0:   Line=0x1a
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH Front Mic as /devices/pci0000:00/0000:00:0e.0/sound/card0/input5
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH Rear Mic as /devices/pci0000:00/0000:00:0e.0/sound/card0/input6
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH Line as /devices/pci0000:00/0000:00:0e.0/sound/card0/input7
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH Line Out Front as /devices/pci0000:00/0000:00:0e.0/sound/card0/input8
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH Line Out Surround as /devices/pci0000:00/0000:00:0e.0/sound/card0/input9
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH Line Out CLFE as /devices/pci0000:00/0000:00:0e.0/sound/card0/input10
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH Front Headphone as /devices/pci0000:00/0000:00:0e.0/sound/card0/input11
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input12
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input13
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input14
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input15
2018-01-28T16:35:15+01:00 kernel: input: HDA Intel PCH HDMI/DP,pcm=10 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input16
2018-01-28T16:35:15+01:00 kernel: hpet1: lost 7161 rtc interrupts
2018-01-28T16:35:15+01:00 kernel: [drm] RC6 on
2018-01-28T16:35:15+01:00 kernel: EXT4-fs (sda2): re-mounted. Opts: (null)
2018-01-28T16:35:15+01:00 kernel: NET: Registered protocol family 10
2018-01-28T16:35:15+01:00 kernel: Segment Routing with IPv6
2018-01-28T16:35:15+01:00 kernel: r8169 0000:01:00.0 eth0: link down
2018-01-28T16:35:15+01:00 kernel: r8169 0000:01:00.0 eth0: link down
2018-01-28T16:35:15+01:00 kernel: i2c i2c-7: Added multiplexed i2c bus 14
2018-01-28T16:35:15+01:00 kernel: i2c i2c-9: Added multiplexed i2c bus 15
2018-01-28T16:35:15+01:00 kernel: i2c i2c-11: Added multiplexed i2c bus 16
2018-01-28T16:35:15+01:00 kernel: i2c i2c-13: Added multiplexed i2c bus 17
2018-01-28T16:35:15+01:00 kernel: r8169 0000:01:00.0 eth0: link up
2018-01-28T16:35:15+01:00 kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
2018-01-28T16:35:15+01:00 kernel: Bluetooth: BNEP filters: protocol multicast
2018-01-28T16:35:15+01:00 kernel: Bluetooth: BNEP socket layer initialized
2018-01-28T16:35:18+01:00 kernel: ip_tables: (C) 2000-2006 Netfilter Core Team
2018-01-28T16:35:27+01:00 kernel: NET: Registered protocol family 38
2018-01-28T16:35:28+01:00 kernel: EXT4-fs (dm-0): mounted filesystem with ordered data mode. Opts: (null)
2018-01-28T16:35:44+01:00 kernel: EXT4-fs (dm-1): mounted filesystem with ordered data mode. Opts: (null)
2018-01-28T16:35:54+01:00 kernel: Bluetooth: RFCOMM TTY layer initialized
2018-01-28T16:35:54+01:00 kernel: Bluetooth: RFCOMM socket layer initialized
2018-01-28T16:35:54+01:00 kernel: Bluetooth: RFCOMM ver 1.11
Comment 33 jaar 2018-02-21 17:09:06 UTC
Created attachment 137504 [details]
GPU crash dump saved to /sys/class/drm/card0/error

some progress
i had again a crash, but this time gpu reset worked.
GPU crash dump is attached

4.15.4-gentoo
x11-libs/libva-2.1.0
x11-libs/libva-intel-driver-2.1.0
media-libs/mesa-17.2.8

[330486.077529] [drm] GPU HANG: ecode 9:2:0xa8dfbffd, in avidemux3_qt4 [8428], reason: Hang on vcs0, action: reset
[330486.077532] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[330486.077533] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[330486.077534] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[330486.077534] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[330486.077536] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[330486.077637] i915 0000:00:02.0: Resetting vcs0 after gpu hang
[330492.035250] i915 0000:00:02.0: Resetting vcs0 after gpu hang
Comment 34 Jani Saarinen 2018-03-29 07:10:26 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 35 Jani Saarinen 2018-04-20 14:24:46 UTC
Closing, please re-open if still occurs.
Comment 36 sadsfae 2018-05-16 14:55:53 UTC
I'm having this same issue on very recent kernels:


    Lenovo x270 (latest 1.30 BIOS)
    Fedora 28 / XFCE
    Kernel 4.16.8

I am unable to get any logs because my system completely freezes and nothing gets written to disk or journal.

It's not my window manager as it even happens after some amount of time sitting at the lightdm prompt. Basically the display will shudder and then completely freeze. I can use the laptop buttons like turning on backlit keyboard on/off but the system is completely frozen (no ICMP / ssh) and nothing in the logs.

Here's my Mesa and Intel driver versions:


xorg-x11-drv-intel-2.99.917-32.20170125
mesa-dri-drivers-18.0.2

modinfo for i915

--snip--
/lib/modules/4.16.8-300.fc28.x86_64/kernel/drivers/gpu/drm/i915/i915.ko.xz
license:        GPL and additional rights
description:    Intel Graphics
author:         Intel Corporation
author:         Tungsten Graphics, Inc.
firmware:       i915/bxt_dmc_ver1_07.bin
firmware:       i915/skl_dmc_ver1_27.bin
firmware:       i915/kbl_dmc_ver1_04.bin
firmware:       i915/kbl_guc_ver9_39.bin
firmware:       i915/bxt_guc_ver9_29.bin
firmware:       i915/skl_guc_ver9_33.bin
firmware:       i915/kbl_huc_ver02_00_1810.bin
firmware:       i915/bxt_huc_ver01_07_1398.bin
firmware:       i915/skl_huc_ver01_07_1398.bin
--snip--
Comment 37 Francesco Balestrieri 2018-05-17 06:46:18 UTC
Just to be sure, could you try if this is reproducible with the latest drm-tip?
Comment 38 sadsfae 2018-05-17 15:04:37 UTC
Hey Francesco, I'd be happy to - can you please point me to docs on how to do that?  I only know how to capture the card state debug info but this isn't relevant as no data is written/saved at all when the hard freeze occurs.

Thanks.
Comment 39 Jani Saarinen 2018-05-17 15:46:05 UTC
See: https://01.org/linuxgraphics/documentation/build-guide-0
Comment 40 sadsfae 2018-05-17 17:29:35 UTC
(In reply to Jani Saarinen from comment #39)
> See: https://01.org/linuxgraphics/documentation/build-guide-0

Thanks, I'll go through these steps.  Is only the "Building kernel" relevant as it consumes freedesktop.org/drm-tip ?

Fedora 28 ships the near-latest xorg-server and other components but I'm happy to do all of it if it's needed.
Comment 41 Jani Saarinen 2018-05-17 17:46:30 UTC
just drm-tip for starter.
Comment 42 Francesco Balestrieri 2018-05-17 17:57:57 UTC
> Thanks, I'll go through these steps.  Is only the "Building kernel" relevant
> as it consumes freedesktop.org/drm-tip ?

Yes. Thanks!
Comment 43 sadsfae 2018-05-17 22:21:29 UTC
I'm having some trouble building the x509 / crypto parts with the current git checkout, maybe I'm doing something wrong, any ideas?

(latest Fedora 28 packages)
gcc-8.1.1-1.fc28.x86_64
make-4.2.1-6.fc28.x86_64
automake-1.15.1-5.fc28.noarch

--snip--
  CHK     include/config/kernel.release
  CHK     include/generated/uapi/linux/version.h
  CHK     include/generated/utsrelease.h
  CHK     include/generated/bounds.h
  CHK     include/generated/timeconst.h
  CHK     include/generated/asm-offsets.h
  CALL    scripts/checksyscalls.sh
  DESCEND  objtool
  CHK     scripts/mod/devicetable-offsets.h
  CHK     include/generated/compile.h
  CC      crypto/asymmetric_keys/x509_cert_parser.o
crypto/asymmetric_keys/x509_cert_parser.c: In function ‘x509_cert_parse’:
crypto/asymmetric_keys/x509_cert_parser.c:89:8: error: implicit declaration of function ‘asn1_ber_decoder’ [-Werror=implicit-function-declaration]
  ret = asn1_ber_decoder(&x509_decoder, ctx, data, datalen);
        ^~~~~~~~~~~~~~~~
crypto/asymmetric_keys/x509_cert_parser.c:89:26: error: ‘x509_decoder’ undeclared (first use in this function); did you mean ‘x509_decode_time’?
  ret = asn1_ber_decoder(&x509_decoder, ctx, data, datalen);
                          ^~~~~~~~~~~~
                          x509_decode_time
crypto/asymmetric_keys/x509_cert_parser.c:89:26: note: each undeclared identifier is reported only once for each function it appears in
crypto/asymmetric_keys/x509_cert_parser.c:97:27: error: ‘x509_akid_decoder’ undeclared (first use in this function)
   ret = asn1_ber_decoder(&x509_akid_decoder, ctx,
                           ^~~~~~~~~~~~~~~~~
crypto/asymmetric_keys/x509_cert_parser.c: In function ‘x509_process_extension’:
crypto/asymmetric_keys/x509_cert_parser.c:439:15: error: ‘ASN1_OTS’ undeclared (first use in this function)
   if (v[0] != ASN1_OTS || v[1] != vlen - 2)
               ^~~~~~~~
crypto/asymmetric_keys/x509_cert_parser.c: In function ‘x509_decode_time’:
crypto/asymmetric_keys/x509_cert_parser.c:494:13: error: ‘ASN1_UNITIM’ undeclared (first use in this function)
  if (tag == ASN1_UNITIM) {
             ^~~~~~~~~~~
crypto/asymmetric_keys/x509_cert_parser.c:503:20: error: ‘ASN1_GENTIM’ undeclared (first use in this function)
  } else if (tag == ASN1_GENTIM) {
                    ^~~~~~~~~~~
cc1: some warnings being treated as errors
make[2]: *** [scripts/Makefile.build:313: crypto/asymmetric_keys/x509_cert_parser.o] Error 1
make[1]: *** [scripts/Makefile.build:559: crypto/asymmetric_keys] Error 2
make: *** [Makefile:1060: crypto] Error 2
--snip--
Comment 44 sadsfae 2018-05-17 22:53:32 UTC
(In reply to sadsfae from comment #43)
> I'm having some trouble building the x509 / crypto parts with the current
> git checkout, maybe I'm doing something wrong, any ideas?
> 
> (latest Fedora 28 packages)
> gcc-8.1.1-1.fc28.x86_64
> make-4.2.1-6.fc28.x86_64
> automake-1.15.1-5.fc28.noarch
> 
> --snip--
>   CHK     include/config/kernel.release
>   CHK     include/generated/uapi/linux/version.h
>   CHK     include/generated/utsrelease.h
>   CHK     include/generated/bounds.h
>   CHK     include/generated/timeconst.h
>   CHK     include/generated/asm-offsets.h
>   CALL    scripts/checksyscalls.sh
>   DESCEND  objtool
>   CHK     scripts/mod/devicetable-offsets.h
>   CHK     include/generated/compile.h
>   CC      crypto/asymmetric_keys/x509_cert_parser.o
> crypto/asymmetric_keys/x509_cert_parser.c: In function ‘x509_cert_parse’:
> crypto/asymmetric_keys/x509_cert_parser.c:89:8: error: implicit declaration
> of function ‘asn1_ber_decoder’ [-Werror=implicit-function-declaration]
>   ret = asn1_ber_decoder(&x509_decoder, ctx, data, datalen);
>         ^~~~~~~~~~~~~~~~
> crypto/asymmetric_keys/x509_cert_parser.c:89:26: error: ‘x509_decoder’
> undeclared (first use in this function); did you mean ‘x509_decode_time’?
>   ret = asn1_ber_decoder(&x509_decoder, ctx, data, datalen);
>                           ^~~~~~~~~~~~
>                           x509_decode_time
> crypto/asymmetric_keys/x509_cert_parser.c:89:26: note: each undeclared
> identifier is reported only once for each function it appears in
> crypto/asymmetric_keys/x509_cert_parser.c:97:27: error: ‘x509_akid_decoder’
> undeclared (first use in this function)
>    ret = asn1_ber_decoder(&x509_akid_decoder, ctx,
>                            ^~~~~~~~~~~~~~~~~
> crypto/asymmetric_keys/x509_cert_parser.c: In function
> ‘x509_process_extension’:
> crypto/asymmetric_keys/x509_cert_parser.c:439:15: error: ‘ASN1_OTS’
> undeclared (first use in this function)
>    if (v[0] != ASN1_OTS || v[1] != vlen - 2)
>                ^~~~~~~~
> crypto/asymmetric_keys/x509_cert_parser.c: In function ‘x509_decode_time’:
> crypto/asymmetric_keys/x509_cert_parser.c:494:13: error: ‘ASN1_UNITIM’
> undeclared (first use in this function)
>   if (tag == ASN1_UNITIM) {
>              ^~~~~~~~~~~
> crypto/asymmetric_keys/x509_cert_parser.c:503:20: error: ‘ASN1_GENTIM’
> undeclared (first use in this function)
>   } else if (tag == ASN1_GENTIM) {
>                     ^~~~~~~~~~~
> cc1: some warnings being treated as errors
> make[2]: *** [scripts/Makefile.build:313:
> crypto/asymmetric_keys/x509_cert_parser.o] Error 1
> make[1]: *** [scripts/Makefile.build:559: crypto/asymmetric_keys] Error 2
> make: *** [Makefile:1060: crypto] Error 2
> --snip--

Ok I got it to build by doing another git reset --hard origin/drm-tip and then make clean.

Booting things up looks like I'm missing LUKS support in the 4.17.0-rc5 kernel, perhaps I need to bake in some extra things so my encrypted disks can be opened for booting into Runlevel 5.  (sorry, first time stepping through this).
Comment 45 sadsfae 2018-05-18 00:43:29 UTC
(In reply to sadsfae from comment #44)
> (In reply to sadsfae from comment #43)
> > I'm having some trouble building the x509 / crypto parts with the current
> > git checkout, maybe I'm doing something wrong, any ideas?
> > 
> > (latest Fedora 28 packages)
> > gcc-8.1.1-1.fc28.x86_64
> > make-4.2.1-6.fc28.x86_64
> > automake-1.15.1-5.fc28.noarch
> > 
> > --snip--
> >   CHK     include/config/kernel.release
> >   CHK     include/generated/uapi/linux/version.h
> >   CHK     include/generated/utsrelease.h
> >   CHK     include/generated/bounds.h
> >   CHK     include/generated/timeconst.h
> >   CHK     include/generated/asm-offsets.h
> >   CALL    scripts/checksyscalls.sh
> >   DESCEND  objtool
> >   CHK     scripts/mod/devicetable-offsets.h
> >   CHK     include/generated/compile.h
> >   CC      crypto/asymmetric_keys/x509_cert_parser.o
> > crypto/asymmetric_keys/x509_cert_parser.c: In function ‘x509_cert_parse’:
> > crypto/asymmetric_keys/x509_cert_parser.c:89:8: error: implicit declaration
> > of function ‘asn1_ber_decoder’ [-Werror=implicit-function-declaration]
> >   ret = asn1_ber_decoder(&x509_decoder, ctx, data, datalen);
> >         ^~~~~~~~~~~~~~~~
> > crypto/asymmetric_keys/x509_cert_parser.c:89:26: error: ‘x509_decoder’
> > undeclared (first use in this function); did you mean ‘x509_decode_time’?
> >   ret = asn1_ber_decoder(&x509_decoder, ctx, data, datalen);
> >                           ^~~~~~~~~~~~
> >                           x509_decode_time
> > crypto/asymmetric_keys/x509_cert_parser.c:89:26: note: each undeclared
> > identifier is reported only once for each function it appears in
> > crypto/asymmetric_keys/x509_cert_parser.c:97:27: error: ‘x509_akid_decoder’
> > undeclared (first use in this function)
> >    ret = asn1_ber_decoder(&x509_akid_decoder, ctx,
> >                            ^~~~~~~~~~~~~~~~~
> > crypto/asymmetric_keys/x509_cert_parser.c: In function
> > ‘x509_process_extension’:
> > crypto/asymmetric_keys/x509_cert_parser.c:439:15: error: ‘ASN1_OTS’
> > undeclared (first use in this function)
> >    if (v[0] != ASN1_OTS || v[1] != vlen - 2)
> >                ^~~~~~~~
> > crypto/asymmetric_keys/x509_cert_parser.c: In function ‘x509_decode_time’:
> > crypto/asymmetric_keys/x509_cert_parser.c:494:13: error: ‘ASN1_UNITIM’
> > undeclared (first use in this function)
> >   if (tag == ASN1_UNITIM) {
> >              ^~~~~~~~~~~
> > crypto/asymmetric_keys/x509_cert_parser.c:503:20: error: ‘ASN1_GENTIM’
> > undeclared (first use in this function)
> >   } else if (tag == ASN1_GENTIM) {
> >                     ^~~~~~~~~~~
> > cc1: some warnings being treated as errors
> > make[2]: *** [scripts/Makefile.build:313:
> > crypto/asymmetric_keys/x509_cert_parser.o] Error 1
> > make[1]: *** [scripts/Makefile.build:559: crypto/asymmetric_keys] Error 2
> > make: *** [Makefile:1060: crypto] Error 2
> > --snip--
> 
> Ok I got it to build by doing another git reset --hard origin/drm-tip and
> then make clean.
> 
> Booting things up looks like I'm missing LUKS support in the 4.17.0-rc5
> kernel, perhaps I need to bake in some extra things so my encrypted disks
> can be opened for booting into Runlevel 5.  (sorry, first time stepping
> through this).

Bear with me, I borrowed the .config from a Fedora Rawhide 4.17.0-rc5 src kernel rpm instead of blundering through all the options and I'm rebuilding now to make sure I have all the modules needed.  Will report back.
Comment 46 sadsfae 2018-05-18 12:28:30 UTC
(In reply to Francesco Balestrieri from comment #37)
> Just to be sure, could you try if this is reproducible with the latest
> drm-tip?

Ok, I am so far unable to reproduce this with the 4.17.0-rc5 kernel that the drm-tip build instructions provide.

I've been running tests for the past 11 hours without a freeze (glxgears, opening/closing images in loops, multiple hybrid suspend/resumes etc).

I will continue to test but so far it looks good.

Question:  Does this mean that 4.17.0-rc5 kernels should also contain what's in the drm-tip git as well?  If I were to also use a Fedora29 / Rawhide kernel like below it'd be the same as what I tested?

e.g.

http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/source/tree/Packages/k/kernel-4.17.0-0.rc5.git1.1.fc29.src.rpm

I had trouble getting my wireless drivers working with the drm-tip kernel, probably because of the imported .config I took from the rawhide kernel RPM.
Comment 47 sadsfae 2018-05-19 15:27:36 UTC
(In reply to sadsfae from comment #46)
> (In reply to Francesco Balestrieri from comment #37)
> > Just to be sure, could you try if this is reproducible with the latest
> > drm-tip?
> 
> Ok, I am so far unable to reproduce this with the 4.17.0-rc5 kernel that the
> drm-tip build instructions provide.
> 
> I've been running tests for the past 11 hours without a freeze (glxgears,
> opening/closing images in loops, multiple hybrid suspend/resumes etc).
> 
> I will continue to test but so far it looks good.
> 
> Question:  Does this mean that 4.17.0-rc5 kernels should also contain what's
> in the drm-tip git as well?  If I were to also use a Fedora29 / Rawhide
> kernel like below it'd be the same as what I tested?
> 
> e.g.
> 
> http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/
> Everything/source/tree/Packages/k/kernel-4.17.0-0.rc5.git1.1.fc29.src.rpm
> 
> I had trouble getting my wireless drivers working with the drm-tip kernel,
> probably because of the imported .config I took from the rawhide kernel RPM.

Checking in again, I'm now using the Fedora 29 Rawhide kernel but with the drm-tip /lib/modules/KERNEL_VERSION/kernel/drivers/gpu/drm/* modules copied into the modules tree.

21 hours running tests and still stable.
Comment 48 Francesco Balestrieri 2018-05-19 16:05:37 UTC
Thanks for reporting back. I'll close this then.
Comment 49 sadsfae 2018-05-19 17:27:32 UTC
(In reply to Francesco Balestrieri from comment #48)
> Thanks for reporting back. I'll close this then.

Thanks Francesco, can you confirm the drm-tip fixes will be making it into the stable 4.17.0 upstream kernel when it's released?
Comment 50 Francesco Balestrieri 2018-05-19 21:52:52 UTC
(In reply to sadsfae from comment #49)
> (In reply to Francesco Balestrieri from comment #48)
> > Thanks for reporting back. I'll close this then.
> 
> Thanks Francesco, can you confirm the drm-tip fixes will be making it into
> the stable 4.17.0 upstream kernel when it's released?

Unfortunately I can't, because as far as I can tell we don't know which exact commit fixed your problem.
Comment 51 sadsfae 2018-05-20 13:43:55 UTC
(In reply to sadsfae from comment #49)
> (In reply to Francesco Balestrieri from comment #48)
> > Thanks for reporting back. I'll close this then.
> 
> Thanks Francesco, can you confirm the drm-tip fixes will be making it into
> the stable 4.17.0 upstream kernel when it's released?

It's not in the Fedora rawhide kernel 4.17.0-0.rc5.git1.1 but it is in the drm-tip tree / build.

http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/source/tree/Packages/k/kernel-4.17.0-0.rc5.git1.1.fc29.src.rpm

I suppose I could do some kind of binary/date comparison between the drm/* modules and determine roughly when the fix landed?
Comment 52 Jani Nikula 2018-05-21 08:40:00 UTC
(In reply to sadsfae from comment #46)
> Question:  Does this mean that 4.17.0-rc5 kernels should also contain what's
> in the drm-tip git as well?  If I were to also use a Fedora29 / Rawhide
> kernel like below it'd be the same as what I tested?

drm-tip is like the linux-next of graphics. It contains code headed for v4.17 (only critical fixes at this stage), v4.18, and now even for v4.19. So it's the other way round than you think, drm-tip contains more than v4.17-rc5.
Comment 53 Jani Nikula 2018-05-21 08:40:55 UTC
(In reply to sadsfae from comment #51)
> (In reply to sadsfae from comment #49)
> > (In reply to Francesco Balestrieri from comment #48)
> > > Thanks for reporting back. I'll close this then.
> > 
> > Thanks Francesco, can you confirm the drm-tip fixes will be making it into
> > the stable 4.17.0 upstream kernel when it's released?
> 
> It's not in the Fedora rawhide kernel 4.17.0-0.rc5.git1.1 but it is in the
> drm-tip tree / build.
> 
> http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/
> Everything/source/tree/Packages/k/kernel-4.17.0-0.rc5.git1.1.fc29.src.rpm
> 
> I suppose I could do some kind of binary/date comparison between the drm/*
> modules and determine roughly when the fix landed?

The only conclusive way is to reverse bisect this with git.
Comment 54 sadsfae 2018-05-21 12:38:01 UTC
(In reply to sadsfae from comment #47)
> (In reply to sadsfae from comment #46)
> > (In reply to Francesco Balestrieri from comment #37)
> > > Just to be sure, could you try if this is reproducible with the latest
> > > drm-tip?
> > 
> > Ok, I am so far unable to reproduce this with the 4.17.0-rc5 kernel that the
> > drm-tip build instructions provide.
> > 
> > I've been running tests for the past 11 hours without a freeze (glxgears,
> > opening/closing images in loops, multiple hybrid suspend/resumes etc).
> > 
> > I will continue to test but so far it looks good.
> > 
> > Question:  Does this mean that 4.17.0-rc5 kernels should also contain what's
> > in the drm-tip git as well?  If I were to also use a Fedora29 / Rawhide
> > kernel like below it'd be the same as what I tested?
> > 
> > e.g.
> > 
> > http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/
> > Everything/source/tree/Packages/k/kernel-4.17.0-0.rc5.git1.1.fc29.src.rpm
> > 
> > I had trouble getting my wireless drivers working with the drm-tip kernel,
> > probably because of the imported .config I took from the rawhide kernel RPM.
> 
> Checking in again, I'm now using the Fedora 29 Rawhide kernel but with the
> drm-tip /lib/modules/KERNEL_VERSION/kernel/drivers/gpu/drm/* modules copied
> into the modules tree.
> 
> 21 hours running tests and still stable.

I thought things were in the clear and the GPU freezes were gone but after another 48 hours I got another one.  I'm bummed, thought this was whipped :)

Same symptoms as before, complete lock-up - no journal entries, logs etc.
Comment 55 sadsfae 2018-05-21 12:42:19 UTC
(In reply to sadsfae from comment #54)
> (In reply to sadsfae from comment #47)
> > (In reply to sadsfae from comment #46)
> > > (In reply to Francesco Balestrieri from comment #37)
> > > > Just to be sure, could you try if this is reproducible with the latest
> > > > drm-tip?
> > > 
> > > Ok, I am so far unable to reproduce this with the 4.17.0-rc5 kernel that the
> > > drm-tip build instructions provide.
> > > 
> > > I've been running tests for the past 11 hours without a freeze (glxgears,
> > > opening/closing images in loops, multiple hybrid suspend/resumes etc).
> > > 
> > > I will continue to test but so far it looks good.
> > > 
> > > Question:  Does this mean that 4.17.0-rc5 kernels should also contain what's
> > > in the drm-tip git as well?  If I were to also use a Fedora29 / Rawhide
> > > kernel like below it'd be the same as what I tested?
> > > 
> > > e.g.
> > > 
> > > http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/
> > > Everything/source/tree/Packages/k/kernel-4.17.0-0.rc5.git1.1.fc29.src.rpm
> > > 
> > > I had trouble getting my wireless drivers working with the drm-tip kernel,
> > > probably because of the imported .config I took from the rawhide kernel RPM.
> > 
> > Checking in again, I'm now using the Fedora 29 Rawhide kernel but with the
> > drm-tip /lib/modules/KERNEL_VERSION/kernel/drivers/gpu/drm/* modules copied
> > into the modules tree.
> > 
> > 21 hours running tests and still stable.
> 
> I thought things were in the clear and the GPU freezes were gone but after
> another 48 hours I got another one.  I'm bummed, thought this was whipped :)
> 
> Same symptoms as before, complete lock-up - no journal entries, logs etc.

For what it's worth I'm so far only able to re-create this after some indeterminately long amount of time (>=48 hours) and usually after I've resumed from suspend.
Comment 56 sadsfae 2018-05-22 14:18:42 UTC
(In reply to sadsfae from comment #55)
> (In reply to sadsfae from comment #54)
> > (In reply to sadsfae from comment #47)
> > > (In reply to sadsfae from comment #46)
> > > > (In reply to Francesco Balestrieri from comment #37)
> > > > > Just to be sure, could you try if this is reproducible with the latest
> > > > > drm-tip?
> > > > 
> > > > Ok, I am so far unable to reproduce this with the 4.17.0-rc5 kernel that the
> > > > drm-tip build instructions provide.
> > > > 
> > > > I've been running tests for the past 11 hours without a freeze (glxgears,
> > > > opening/closing images in loops, multiple hybrid suspend/resumes etc).
> > > > 
> > > > I will continue to test but so far it looks good.
> > > > 
> > > > Question:  Does this mean that 4.17.0-rc5 kernels should also contain what's
> > > > in the drm-tip git as well?  If I were to also use a Fedora29 / Rawhide
> > > > kernel like below it'd be the same as what I tested?
> > > > 
> > > > e.g.
> > > > 
> > > > http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/
> > > > Everything/source/tree/Packages/k/kernel-4.17.0-0.rc5.git1.1.fc29.src.rpm
> > > > 
> > > > I had trouble getting my wireless drivers working with the drm-tip kernel,
> > > > probably because of the imported .config I took from the rawhide kernel RPM.
> > > 
> > > Checking in again, I'm now using the Fedora 29 Rawhide kernel but with the
> > > drm-tip /lib/modules/KERNEL_VERSION/kernel/drivers/gpu/drm/* modules copied
> > > into the modules tree.
> > > 
> > > 21 hours running tests and still stable.
> > 
> > I thought things were in the clear and the GPU freezes were gone but after
> > another 48 hours I got another one.  I'm bummed, thought this was whipped :)
> > 
> > Same symptoms as before, complete lock-up - no journal entries, logs etc.
> 
> For what it's worth I'm so far only able to re-create this after some
> indeterminately long amount of time (>=48 hours) and usually after I've
> resumed from suspend.

Some other folks at work are having this issue with T470s / i915 also and pointed out turning off NoAccel or turning off DRI in xorg.conf.  That sort of defeats the purpose though :)

https://wiki.archlinux.org/index.php/intel_graphics#X_freeze.2Fcrash_with_intel_driver


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.